searchNodes=[{"ref":"GoogleApi.Dataflow.V1b3.Api.Projects.html","title":"GoogleApi.Dataflow.V1b3.Api.Projects","module":"GoogleApi.Dataflow.V1b3.Api.Projects","type":"module","doc":"API calls for all endpoints tagged Projects."},{"ref":"GoogleApi.Dataflow.V1b3.Api.Projects.html#dataflow_projects_jobs_aggregated/4","title":"GoogleApi.Dataflow.V1b3.Api.Projects.dataflow_projects_jobs_aggregated/4","module":"GoogleApi.Dataflow.V1b3.Api.Projects","type":"function","doc":"List the jobs of a project across all regions. Parameters connection (GoogleApi.Dataflow.V1b3.Connection): Connection to server project_id (String.t): The project which owns the jobs. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :filter (String.t): The kind of filter to use. :location (String.t): The [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) that contains this job. :pageSize (integer()): If there are many jobs, limit response to at most this many. The actual number of jobs returned will be the lesser of max_responses and an unspecified server-defined limit. :pageToken (String.t): Set this to the &#39;next_page_token&#39; field of a previous response to request additional results in a long list. :view (String.t): Level of information requested in response. Default is &#x60;JOB_VIEW_SUMMARY&#x60;. Returns {:ok, %GoogleApi.Dataflow.V1b3.Model.ListJobsResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Dataflow.V1b3.Api.Projects.html#dataflow_projects_jobs_create/4","title":"GoogleApi.Dataflow.V1b3.Api.Projects.dataflow_projects_jobs_create/4","module":"GoogleApi.Dataflow.V1b3.Api.Projects","type":"function","doc":"Creates a Cloud Dataflow job. To create a job, we recommend using &#x60;projects.locations.jobs.create&#x60; with a [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints). Using &#x60;projects.jobs.create&#x60; is not recommended, as your job will always start in &#x60;us-central1&#x60;. Parameters connection (GoogleApi.Dataflow.V1b3.Connection): Connection to server project_id (String.t): The ID of the Cloud Platform project that the job belongs to. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :location (String.t): The [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) that contains this job. :replaceJobId (String.t): Deprecated. This field is now in the Job message. :view (String.t): The level of information requested in response. :body (Job): Returns {:ok, %GoogleApi.Dataflow.V1b3.Model.Job{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Dataflow.V1b3.Api.Projects.html#dataflow_projects_jobs_debug_get_config/5","title":"GoogleApi.Dataflow.V1b3.Api.Projects.dataflow_projects_jobs_debug_get_config/5","module":"GoogleApi.Dataflow.V1b3.Api.Projects","type":"function","doc":"Get encoded debug configuration for component. Not cacheable. Parameters connection (GoogleApi.Dataflow.V1b3.Connection): Connection to server project_id (String.t): The project id. job_id (String.t): The job id. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (GetDebugConfigRequest): Returns {:ok, %GoogleApi.Dataflow.V1b3.Model.GetDebugConfigResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Dataflow.V1b3.Api.Projects.html#dataflow_projects_jobs_debug_send_capture/5","title":"GoogleApi.Dataflow.V1b3.Api.Projects.dataflow_projects_jobs_debug_send_capture/5","module":"GoogleApi.Dataflow.V1b3.Api.Projects","type":"function","doc":"Send encoded debug capture data for component. Parameters connection (GoogleApi.Dataflow.V1b3.Connection): Connection to server project_id (String.t): The project id. job_id (String.t): The job id. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (SendDebugCaptureRequest): Returns {:ok, %GoogleApi.Dataflow.V1b3.Model.SendDebugCaptureResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Dataflow.V1b3.Api.Projects.html#dataflow_projects_jobs_get/5","title":"GoogleApi.Dataflow.V1b3.Api.Projects.dataflow_projects_jobs_get/5","module":"GoogleApi.Dataflow.V1b3.Api.Projects","type":"function","doc":"Gets the state of the specified Cloud Dataflow job. To get the state of a job, we recommend using &#x60;projects.locations.jobs.get&#x60; with a [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints). Using &#x60;projects.jobs.get&#x60; is not recommended, as you can only get the state of jobs that are running in &#x60;us-central1&#x60;. Parameters connection (GoogleApi.Dataflow.V1b3.Connection): Connection to server project_id (String.t): The ID of the Cloud Platform project that the job belongs to. job_id (String.t): The job ID. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :location (String.t): The [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) that contains this job. :view (String.t): The level of information requested in response. Returns {:ok, %GoogleApi.Dataflow.V1b3.Model.Job{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Dataflow.V1b3.Api.Projects.html#dataflow_projects_jobs_get_metrics/5","title":"GoogleApi.Dataflow.V1b3.Api.Projects.dataflow_projects_jobs_get_metrics/5","module":"GoogleApi.Dataflow.V1b3.Api.Projects","type":"function","doc":"Request the job status. To request the status of a job, we recommend using &#x60;projects.locations.jobs.getMetrics&#x60; with a [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints). Using &#x60;projects.jobs.getMetrics&#x60; is not recommended, as you can only request the status of jobs that are running in &#x60;us-central1&#x60;. Parameters connection (GoogleApi.Dataflow.V1b3.Connection): Connection to server project_id (String.t): A project id. job_id (String.t): The job to get messages for. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :location (String.t): The [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) that contains the job specified by job_id. :startTime (DateTime.t): Return only metric data that has changed since this time. Default is to return all information about all metrics for the job. Returns {:ok, %GoogleApi.Dataflow.V1b3.Model.JobMetrics{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Dataflow.V1b3.Api.Projects.html#dataflow_projects_jobs_list/4","title":"GoogleApi.Dataflow.V1b3.Api.Projects.dataflow_projects_jobs_list/4","module":"GoogleApi.Dataflow.V1b3.Api.Projects","type":"function","doc":"List the jobs of a project. To list the jobs of a project in a region, we recommend using &#x60;projects.locations.jobs.get&#x60; with a [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints). To list the all jobs across all regions, use &#x60;projects.jobs.aggregated&#x60;. Using &#x60;projects.jobs.list&#x60; is not recommended, as you can only get the list of jobs that are running in &#x60;us-central1&#x60;. Parameters connection (GoogleApi.Dataflow.V1b3.Connection): Connection to server project_id (String.t): The project which owns the jobs. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :filter (String.t): The kind of filter to use. :location (String.t): The [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) that contains this job. :pageSize (integer()): If there are many jobs, limit response to at most this many. The actual number of jobs returned will be the lesser of max_responses and an unspecified server-defined limit. :pageToken (String.t): Set this to the &#39;next_page_token&#39; field of a previous response to request additional results in a long list. :view (String.t): Level of information requested in response. Default is &#x60;JOB_VIEW_SUMMARY&#x60;. Returns {:ok, %GoogleApi.Dataflow.V1b3.Model.ListJobsResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Dataflow.V1b3.Api.Projects.html#dataflow_projects_jobs_messages_list/5","title":"GoogleApi.Dataflow.V1b3.Api.Projects.dataflow_projects_jobs_messages_list/5","module":"GoogleApi.Dataflow.V1b3.Api.Projects","type":"function","doc":"Request the job status. To request the status of a job, we recommend using &#x60;projects.locations.jobs.messages.list&#x60; with a [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints). Using &#x60;projects.jobs.messages.list&#x60; is not recommended, as you can only request the status of jobs that are running in &#x60;us-central1&#x60;. Parameters connection (GoogleApi.Dataflow.V1b3.Connection): Connection to server project_id (String.t): A project id. job_id (String.t): The job to get messages about. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :endTime (DateTime.t): Return only messages with timestamps &lt; end_time. The default is now (i.e. return up to the latest messages available). :location (String.t): The [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) that contains the job specified by job_id. :minimumImportance (String.t): Filter to only get messages with importance &gt;&#x3D; level :pageSize (integer()): If specified, determines the maximum number of messages to return. If unspecified, the service may choose an appropriate default, or may return an arbitrarily large number of results. :pageToken (String.t): If supplied, this should be the value of next_page_token returned by an earlier call. This will cause the next page of results to be returned. :startTime (DateTime.t): If specified, return only messages with timestamps &gt;&#x3D; start_time. The default is the job creation time (i.e. beginning of messages). Returns {:ok, %GoogleApi.Dataflow.V1b3.Model.ListJobMessagesResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Dataflow.V1b3.Api.Projects.html#dataflow_projects_jobs_snapshot/5","title":"GoogleApi.Dataflow.V1b3.Api.Projects.dataflow_projects_jobs_snapshot/5","module":"GoogleApi.Dataflow.V1b3.Api.Projects","type":"function","doc":"Snapshot the state of a streaming job. Parameters connection (GoogleApi.Dataflow.V1b3.Connection): Connection to server project_id (String.t): The project which owns the job to be snapshotted. job_id (String.t): The job to be snapshotted. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (SnapshotJobRequest): Returns {:ok, %GoogleApi.Dataflow.V1b3.Model.Snapshot{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Dataflow.V1b3.Api.Projects.html#dataflow_projects_jobs_update/5","title":"GoogleApi.Dataflow.V1b3.Api.Projects.dataflow_projects_jobs_update/5","module":"GoogleApi.Dataflow.V1b3.Api.Projects","type":"function","doc":"Updates the state of an existing Cloud Dataflow job. To update the state of an existing job, we recommend using &#x60;projects.locations.jobs.update&#x60; with a [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints). Using &#x60;projects.jobs.update&#x60; is not recommended, as you can only update the state of jobs that are running in &#x60;us-central1&#x60;. Parameters connection (GoogleApi.Dataflow.V1b3.Connection): Connection to server project_id (String.t): The ID of the Cloud Platform project that the job belongs to. job_id (String.t): The job ID. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :location (String.t): The [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) that contains this job. :body (Job): Returns {:ok, %GoogleApi.Dataflow.V1b3.Model.Job{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Dataflow.V1b3.Api.Projects.html#dataflow_projects_jobs_work_items_lease/5","title":"GoogleApi.Dataflow.V1b3.Api.Projects.dataflow_projects_jobs_work_items_lease/5","module":"GoogleApi.Dataflow.V1b3.Api.Projects","type":"function","doc":"Leases a dataflow WorkItem to run. Parameters connection (GoogleApi.Dataflow.V1b3.Connection): Connection to server project_id (String.t): Identifies the project this worker belongs to. job_id (String.t): Identifies the workflow job this worker belongs to. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (LeaseWorkItemRequest): Returns {:ok, %GoogleApi.Dataflow.V1b3.Model.LeaseWorkItemResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Dataflow.V1b3.Api.Projects.html#dataflow_projects_jobs_work_items_report_status/5","title":"GoogleApi.Dataflow.V1b3.Api.Projects.dataflow_projects_jobs_work_items_report_status/5","module":"GoogleApi.Dataflow.V1b3.Api.Projects","type":"function","doc":"Reports the status of dataflow WorkItems leased by a worker. Parameters connection (GoogleApi.Dataflow.V1b3.Connection): Connection to server project_id (String.t): The project which owns the WorkItem&#39;s job. job_id (String.t): The job which the WorkItem is part of. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (ReportWorkItemStatusRequest): Returns {:ok, %GoogleApi.Dataflow.V1b3.Model.ReportWorkItemStatusResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Dataflow.V1b3.Api.Projects.html#dataflow_projects_locations_jobs_create/5","title":"GoogleApi.Dataflow.V1b3.Api.Projects.dataflow_projects_locations_jobs_create/5","module":"GoogleApi.Dataflow.V1b3.Api.Projects","type":"function","doc":"Creates a Cloud Dataflow job. To create a job, we recommend using &#x60;projects.locations.jobs.create&#x60; with a [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints). Using &#x60;projects.jobs.create&#x60; is not recommended, as your job will always start in &#x60;us-central1&#x60;. Parameters connection (GoogleApi.Dataflow.V1b3.Connection): Connection to server project_id (String.t): The ID of the Cloud Platform project that the job belongs to. location (String.t): The [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) that contains this job. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :replaceJobId (String.t): Deprecated. This field is now in the Job message. :view (String.t): The level of information requested in response. :body (Job): Returns {:ok, %GoogleApi.Dataflow.V1b3.Model.Job{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Dataflow.V1b3.Api.Projects.html#dataflow_projects_locations_jobs_debug_get_config/6","title":"GoogleApi.Dataflow.V1b3.Api.Projects.dataflow_projects_locations_jobs_debug_get_config/6","module":"GoogleApi.Dataflow.V1b3.Api.Projects","type":"function","doc":"Get encoded debug configuration for component. Not cacheable. Parameters connection (GoogleApi.Dataflow.V1b3.Connection): Connection to server project_id (String.t): The project id. location (String.t): The [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) that contains the job specified by job_id. job_id (String.t): The job id. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (GetDebugConfigRequest): Returns {:ok, %GoogleApi.Dataflow.V1b3.Model.GetDebugConfigResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Dataflow.V1b3.Api.Projects.html#dataflow_projects_locations_jobs_debug_send_capture/6","title":"GoogleApi.Dataflow.V1b3.Api.Projects.dataflow_projects_locations_jobs_debug_send_capture/6","module":"GoogleApi.Dataflow.V1b3.Api.Projects","type":"function","doc":"Send encoded debug capture data for component. Parameters connection (GoogleApi.Dataflow.V1b3.Connection): Connection to server project_id (String.t): The project id. location (String.t): The [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) that contains the job specified by job_id. job_id (String.t): The job id. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (SendDebugCaptureRequest): Returns {:ok, %GoogleApi.Dataflow.V1b3.Model.SendDebugCaptureResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Dataflow.V1b3.Api.Projects.html#dataflow_projects_locations_jobs_get/6","title":"GoogleApi.Dataflow.V1b3.Api.Projects.dataflow_projects_locations_jobs_get/6","module":"GoogleApi.Dataflow.V1b3.Api.Projects","type":"function","doc":"Gets the state of the specified Cloud Dataflow job. To get the state of a job, we recommend using &#x60;projects.locations.jobs.get&#x60; with a [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints). Using &#x60;projects.jobs.get&#x60; is not recommended, as you can only get the state of jobs that are running in &#x60;us-central1&#x60;. Parameters connection (GoogleApi.Dataflow.V1b3.Connection): Connection to server project_id (String.t): The ID of the Cloud Platform project that the job belongs to. location (String.t): The [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) that contains this job. job_id (String.t): The job ID. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :view (String.t): The level of information requested in response. Returns {:ok, %GoogleApi.Dataflow.V1b3.Model.Job{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Dataflow.V1b3.Api.Projects.html#dataflow_projects_locations_jobs_get_metrics/6","title":"GoogleApi.Dataflow.V1b3.Api.Projects.dataflow_projects_locations_jobs_get_metrics/6","module":"GoogleApi.Dataflow.V1b3.Api.Projects","type":"function","doc":"Request the job status. To request the status of a job, we recommend using &#x60;projects.locations.jobs.getMetrics&#x60; with a [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints). Using &#x60;projects.jobs.getMetrics&#x60; is not recommended, as you can only request the status of jobs that are running in &#x60;us-central1&#x60;. Parameters connection (GoogleApi.Dataflow.V1b3.Connection): Connection to server project_id (String.t): A project id. location (String.t): The [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) that contains the job specified by job_id. job_id (String.t): The job to get messages for. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :startTime (DateTime.t): Return only metric data that has changed since this time. Default is to return all information about all metrics for the job. Returns {:ok, %GoogleApi.Dataflow.V1b3.Model.JobMetrics{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Dataflow.V1b3.Api.Projects.html#dataflow_projects_locations_jobs_list/5","title":"GoogleApi.Dataflow.V1b3.Api.Projects.dataflow_projects_locations_jobs_list/5","module":"GoogleApi.Dataflow.V1b3.Api.Projects","type":"function","doc":"List the jobs of a project. To list the jobs of a project in a region, we recommend using &#x60;projects.locations.jobs.get&#x60; with a [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints). To list the all jobs across all regions, use &#x60;projects.jobs.aggregated&#x60;. Using &#x60;projects.jobs.list&#x60; is not recommended, as you can only get the list of jobs that are running in &#x60;us-central1&#x60;. Parameters connection (GoogleApi.Dataflow.V1b3.Connection): Connection to server project_id (String.t): The project which owns the jobs. location (String.t): The [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) that contains this job. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :filter (String.t): The kind of filter to use. :pageSize (integer()): If there are many jobs, limit response to at most this many. The actual number of jobs returned will be the lesser of max_responses and an unspecified server-defined limit. :pageToken (String.t): Set this to the &#39;next_page_token&#39; field of a previous response to request additional results in a long list. :view (String.t): Level of information requested in response. Default is &#x60;JOB_VIEW_SUMMARY&#x60;. Returns {:ok, %GoogleApi.Dataflow.V1b3.Model.ListJobsResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Dataflow.V1b3.Api.Projects.html#dataflow_projects_locations_jobs_messages_list/6","title":"GoogleApi.Dataflow.V1b3.Api.Projects.dataflow_projects_locations_jobs_messages_list/6","module":"GoogleApi.Dataflow.V1b3.Api.Projects","type":"function","doc":"Request the job status. To request the status of a job, we recommend using &#x60;projects.locations.jobs.messages.list&#x60; with a [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints). Using &#x60;projects.jobs.messages.list&#x60; is not recommended, as you can only request the status of jobs that are running in &#x60;us-central1&#x60;. Parameters connection (GoogleApi.Dataflow.V1b3.Connection): Connection to server project_id (String.t): A project id. location (String.t): The [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) that contains the job specified by job_id. job_id (String.t): The job to get messages about. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :endTime (DateTime.t): Return only messages with timestamps &lt; end_time. The default is now (i.e. return up to the latest messages available). :minimumImportance (String.t): Filter to only get messages with importance &gt;&#x3D; level :pageSize (integer()): If specified, determines the maximum number of messages to return. If unspecified, the service may choose an appropriate default, or may return an arbitrarily large number of results. :pageToken (String.t): If supplied, this should be the value of next_page_token returned by an earlier call. This will cause the next page of results to be returned. :startTime (DateTime.t): If specified, return only messages with timestamps &gt;&#x3D; start_time. The default is the job creation time (i.e. beginning of messages). Returns {:ok, %GoogleApi.Dataflow.V1b3.Model.ListJobMessagesResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Dataflow.V1b3.Api.Projects.html#dataflow_projects_locations_jobs_snapshot/6","title":"GoogleApi.Dataflow.V1b3.Api.Projects.dataflow_projects_locations_jobs_snapshot/6","module":"GoogleApi.Dataflow.V1b3.Api.Projects","type":"function","doc":"Snapshot the state of a streaming job. Parameters connection (GoogleApi.Dataflow.V1b3.Connection): Connection to server project_id (String.t): The project which owns the job to be snapshotted. location (String.t): The location that contains this job. job_id (String.t): The job to be snapshotted. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (SnapshotJobRequest): Returns {:ok, %GoogleApi.Dataflow.V1b3.Model.Snapshot{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Dataflow.V1b3.Api.Projects.html#dataflow_projects_locations_jobs_update/6","title":"GoogleApi.Dataflow.V1b3.Api.Projects.dataflow_projects_locations_jobs_update/6","module":"GoogleApi.Dataflow.V1b3.Api.Projects","type":"function","doc":"Updates the state of an existing Cloud Dataflow job. To update the state of an existing job, we recommend using &#x60;projects.locations.jobs.update&#x60; with a [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints). Using &#x60;projects.jobs.update&#x60; is not recommended, as you can only update the state of jobs that are running in &#x60;us-central1&#x60;. Parameters connection (GoogleApi.Dataflow.V1b3.Connection): Connection to server project_id (String.t): The ID of the Cloud Platform project that the job belongs to. location (String.t): The [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) that contains this job. job_id (String.t): The job ID. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (Job): Returns {:ok, %GoogleApi.Dataflow.V1b3.Model.Job{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Dataflow.V1b3.Api.Projects.html#dataflow_projects_locations_jobs_work_items_lease/6","title":"GoogleApi.Dataflow.V1b3.Api.Projects.dataflow_projects_locations_jobs_work_items_lease/6","module":"GoogleApi.Dataflow.V1b3.Api.Projects","type":"function","doc":"Leases a dataflow WorkItem to run. Parameters connection (GoogleApi.Dataflow.V1b3.Connection): Connection to server project_id (String.t): Identifies the project this worker belongs to. location (String.t): The [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) that contains the WorkItem&#39;s job. job_id (String.t): Identifies the workflow job this worker belongs to. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (LeaseWorkItemRequest): Returns {:ok, %GoogleApi.Dataflow.V1b3.Model.LeaseWorkItemResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Dataflow.V1b3.Api.Projects.html#dataflow_projects_locations_jobs_work_items_report_status/6","title":"GoogleApi.Dataflow.V1b3.Api.Projects.dataflow_projects_locations_jobs_work_items_report_status/6","module":"GoogleApi.Dataflow.V1b3.Api.Projects","type":"function","doc":"Reports the status of dataflow WorkItems leased by a worker. Parameters connection (GoogleApi.Dataflow.V1b3.Connection): Connection to server project_id (String.t): The project which owns the WorkItem&#39;s job. location (String.t): The [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) that contains the WorkItem&#39;s job. job_id (String.t): The job which the WorkItem is part of. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (ReportWorkItemStatusRequest): Returns {:ok, %GoogleApi.Dataflow.V1b3.Model.ReportWorkItemStatusResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Dataflow.V1b3.Api.Projects.html#dataflow_projects_locations_templates_create/5","title":"GoogleApi.Dataflow.V1b3.Api.Projects.dataflow_projects_locations_templates_create/5","module":"GoogleApi.Dataflow.V1b3.Api.Projects","type":"function","doc":"Creates a Cloud Dataflow job from a template. Parameters connection (GoogleApi.Dataflow.V1b3.Connection): Connection to server project_id (String.t): Required. The ID of the Cloud Platform project that the job belongs to. location (String.t): The [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) to which to direct the request. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (CreateJobFromTemplateRequest): Returns {:ok, %GoogleApi.Dataflow.V1b3.Model.Job{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Dataflow.V1b3.Api.Projects.html#dataflow_projects_locations_templates_get/5","title":"GoogleApi.Dataflow.V1b3.Api.Projects.dataflow_projects_locations_templates_get/5","module":"GoogleApi.Dataflow.V1b3.Api.Projects","type":"function","doc":"Get the template associated with a template. Parameters connection (GoogleApi.Dataflow.V1b3.Connection): Connection to server project_id (String.t): Required. The ID of the Cloud Platform project that the job belongs to. location (String.t): The [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) to which to direct the request. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :gcsPath (String.t): Required. A Cloud Storage path to the template from which to create the job. Must be valid Cloud Storage URL, beginning with &#39;gs://&#39;. :view (String.t): The view to retrieve. Defaults to METADATA_ONLY. Returns {:ok, %GoogleApi.Dataflow.V1b3.Model.GetTemplateResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Dataflow.V1b3.Api.Projects.html#dataflow_projects_locations_templates_launch/5","title":"GoogleApi.Dataflow.V1b3.Api.Projects.dataflow_projects_locations_templates_launch/5","module":"GoogleApi.Dataflow.V1b3.Api.Projects","type":"function","doc":"Launch a template. Parameters connection (GoogleApi.Dataflow.V1b3.Connection): Connection to server project_id (String.t): Required. The ID of the Cloud Platform project that the job belongs to. location (String.t): The [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) to which to direct the request. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :dynamicTemplate.gcsPath (String.t): Path to dynamic template spec file on GCS. The file must be a Json serialized DynamicTemplateFieSpec object. :dynamicTemplate.stagingLocation (String.t): Cloud Storage path for staging dependencies. Must be a valid Cloud Storage URL, beginning with &#x60;gs://&#x60;. :gcsPath (String.t): A Cloud Storage path to the template from which to create the job. Must be valid Cloud Storage URL, beginning with &#39;gs://&#39;. :validateOnly (boolean()): If true, the request is validated but not actually executed. Defaults to false. :body (LaunchTemplateParameters): Returns {:ok, %GoogleApi.Dataflow.V1b3.Model.LaunchTemplateResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Dataflow.V1b3.Api.Projects.html#dataflow_projects_locations_worker_messages/5","title":"GoogleApi.Dataflow.V1b3.Api.Projects.dataflow_projects_locations_worker_messages/5","module":"GoogleApi.Dataflow.V1b3.Api.Projects","type":"function","doc":"Send a worker_message to the service. Parameters connection (GoogleApi.Dataflow.V1b3.Connection): Connection to server project_id (String.t): The project to send the WorkerMessages to. location (String.t): The [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) that contains the job. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (SendWorkerMessagesRequest): Returns {:ok, %GoogleApi.Dataflow.V1b3.Model.SendWorkerMessagesResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Dataflow.V1b3.Api.Projects.html#dataflow_projects_templates_create/4","title":"GoogleApi.Dataflow.V1b3.Api.Projects.dataflow_projects_templates_create/4","module":"GoogleApi.Dataflow.V1b3.Api.Projects","type":"function","doc":"Creates a Cloud Dataflow job from a template. Parameters connection (GoogleApi.Dataflow.V1b3.Connection): Connection to server project_id (String.t): Required. The ID of the Cloud Platform project that the job belongs to. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (CreateJobFromTemplateRequest): Returns {:ok, %GoogleApi.Dataflow.V1b3.Model.Job{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Dataflow.V1b3.Api.Projects.html#dataflow_projects_templates_get/4","title":"GoogleApi.Dataflow.V1b3.Api.Projects.dataflow_projects_templates_get/4","module":"GoogleApi.Dataflow.V1b3.Api.Projects","type":"function","doc":"Get the template associated with a template. Parameters connection (GoogleApi.Dataflow.V1b3.Connection): Connection to server project_id (String.t): Required. The ID of the Cloud Platform project that the job belongs to. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :gcsPath (String.t): Required. A Cloud Storage path to the template from which to create the job. Must be valid Cloud Storage URL, beginning with &#39;gs://&#39;. :location (String.t): The [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) to which to direct the request. :view (String.t): The view to retrieve. Defaults to METADATA_ONLY. Returns {:ok, %GoogleApi.Dataflow.V1b3.Model.GetTemplateResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Dataflow.V1b3.Api.Projects.html#dataflow_projects_templates_launch/4","title":"GoogleApi.Dataflow.V1b3.Api.Projects.dataflow_projects_templates_launch/4","module":"GoogleApi.Dataflow.V1b3.Api.Projects","type":"function","doc":"Launch a template. Parameters connection (GoogleApi.Dataflow.V1b3.Connection): Connection to server project_id (String.t): Required. The ID of the Cloud Platform project that the job belongs to. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :dynamicTemplate.gcsPath (String.t): Path to dynamic template spec file on GCS. The file must be a Json serialized DynamicTemplateFieSpec object. :dynamicTemplate.stagingLocation (String.t): Cloud Storage path for staging dependencies. Must be a valid Cloud Storage URL, beginning with &#x60;gs://&#x60;. :gcsPath (String.t): A Cloud Storage path to the template from which to create the job. Must be valid Cloud Storage URL, beginning with &#39;gs://&#39;. :location (String.t): The [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) to which to direct the request. :validateOnly (boolean()): If true, the request is validated but not actually executed. Defaults to false. :body (LaunchTemplateParameters): Returns {:ok, %GoogleApi.Dataflow.V1b3.Model.LaunchTemplateResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Dataflow.V1b3.Api.Projects.html#dataflow_projects_worker_messages/4","title":"GoogleApi.Dataflow.V1b3.Api.Projects.dataflow_projects_worker_messages/4","module":"GoogleApi.Dataflow.V1b3.Api.Projects","type":"function","doc":"Send a worker_message to the service. Parameters connection (GoogleApi.Dataflow.V1b3.Connection): Connection to server project_id (String.t): The project to send the WorkerMessages to. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (SendWorkerMessagesRequest): Returns {:ok, %GoogleApi.Dataflow.V1b3.Model.SendWorkerMessagesResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Dataflow.V1b3.Connection.html","title":"GoogleApi.Dataflow.V1b3.Connection","module":"GoogleApi.Dataflow.V1b3.Connection","type":"module","doc":"Handle Tesla connections for GoogleApi.Dataflow.V1b3."},{"ref":"GoogleApi.Dataflow.V1b3.Connection.html#delete/3","title":"GoogleApi.Dataflow.V1b3.Connection.delete/3","module":"GoogleApi.Dataflow.V1b3.Connection","type":"function","doc":"Perform a DELETE request. See request/1 or request/2 for options definition. delete(&quot;/users&quot;) delete(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete(client, &quot;/users&quot;) delete(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Dataflow.V1b3.Connection.html#delete!/3","title":"GoogleApi.Dataflow.V1b3.Connection.delete!/3","module":"GoogleApi.Dataflow.V1b3.Connection","type":"function","doc":"Perform a DELETE request. See request!/1 or request!/2 for options definition. delete!(&quot;/users&quot;) delete!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete!(client, &quot;/users&quot;) delete!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Dataflow.V1b3.Connection.html#execute/2","title":"GoogleApi.Dataflow.V1b3.Connection.execute/2","module":"GoogleApi.Dataflow.V1b3.Connection","type":"function","doc":"Execute a request on this connection Returns Tesla.Env"},{"ref":"GoogleApi.Dataflow.V1b3.Connection.html#get/3","title":"GoogleApi.Dataflow.V1b3.Connection.get/3","module":"GoogleApi.Dataflow.V1b3.Connection","type":"function","doc":"Perform a GET request. See request/1 or request/2 for options definition. get(&quot;/users&quot;) get(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get(client, &quot;/users&quot;) get(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Dataflow.V1b3.Connection.html#get!/3","title":"GoogleApi.Dataflow.V1b3.Connection.get!/3","module":"GoogleApi.Dataflow.V1b3.Connection","type":"function","doc":"Perform a GET request. See request!/1 or request!/2 for options definition. get!(&quot;/users&quot;) get!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get!(client, &quot;/users&quot;) get!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Dataflow.V1b3.Connection.html#head/3","title":"GoogleApi.Dataflow.V1b3.Connection.head/3","module":"GoogleApi.Dataflow.V1b3.Connection","type":"function","doc":"Perform a HEAD request. See request/1 or request/2 for options definition. head(&quot;/users&quot;) head(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head(client, &quot;/users&quot;) head(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Dataflow.V1b3.Connection.html#head!/3","title":"GoogleApi.Dataflow.V1b3.Connection.head!/3","module":"GoogleApi.Dataflow.V1b3.Connection","type":"function","doc":"Perform a HEAD request. See request!/1 or request!/2 for options definition. head!(&quot;/users&quot;) head!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head!(client, &quot;/users&quot;) head!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Dataflow.V1b3.Connection.html#new/0","title":"GoogleApi.Dataflow.V1b3.Connection.new/0","module":"GoogleApi.Dataflow.V1b3.Connection","type":"function","doc":"Configure an authless client connection Returns Tesla.Client.t"},{"ref":"GoogleApi.Dataflow.V1b3.Connection.html#new/1","title":"GoogleApi.Dataflow.V1b3.Connection.new/1","module":"GoogleApi.Dataflow.V1b3.Connection","type":"function","doc":"Configure a client connection using a function which yields a Bearer token. Parameters token_fetcher (function arity of 1): Callback which provides an OAuth2 token given a list of scopes Returns Tesla.Env.client"},{"ref":"GoogleApi.Dataflow.V1b3.Connection.html#options/3","title":"GoogleApi.Dataflow.V1b3.Connection.options/3","module":"GoogleApi.Dataflow.V1b3.Connection","type":"function","doc":"Perform a OPTIONS request. See request/1 or request/2 for options definition. options(&quot;/users&quot;) options(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options(client, &quot;/users&quot;) options(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Dataflow.V1b3.Connection.html#options!/3","title":"GoogleApi.Dataflow.V1b3.Connection.options!/3","module":"GoogleApi.Dataflow.V1b3.Connection","type":"function","doc":"Perform a OPTIONS request. See request!/1 or request!/2 for options definition. options!(&quot;/users&quot;) options!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options!(client, &quot;/users&quot;) options!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Dataflow.V1b3.Connection.html#patch/4","title":"GoogleApi.Dataflow.V1b3.Connection.patch/4","module":"GoogleApi.Dataflow.V1b3.Connection","type":"function","doc":"Perform a PATCH request. See request/1 or request/2 for options definition. patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Dataflow.V1b3.Connection.html#patch!/4","title":"GoogleApi.Dataflow.V1b3.Connection.patch!/4","module":"GoogleApi.Dataflow.V1b3.Connection","type":"function","doc":"Perform a PATCH request. See request!/1 or request!/2 for options definition. patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Dataflow.V1b3.Connection.html#post/4","title":"GoogleApi.Dataflow.V1b3.Connection.post/4","module":"GoogleApi.Dataflow.V1b3.Connection","type":"function","doc":"Perform a POST request. See request/1 or request/2 for options definition. post(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Dataflow.V1b3.Connection.html#post!/4","title":"GoogleApi.Dataflow.V1b3.Connection.post!/4","module":"GoogleApi.Dataflow.V1b3.Connection","type":"function","doc":"Perform a POST request. See request!/1 or request!/2 for options definition. post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Dataflow.V1b3.Connection.html#put/4","title":"GoogleApi.Dataflow.V1b3.Connection.put/4","module":"GoogleApi.Dataflow.V1b3.Connection","type":"function","doc":"Perform a PUT request. See request/1 or request/2 for options definition. put(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Dataflow.V1b3.Connection.html#put!/4","title":"GoogleApi.Dataflow.V1b3.Connection.put!/4","module":"GoogleApi.Dataflow.V1b3.Connection","type":"function","doc":"Perform a PUT request. See request!/1 or request!/2 for options definition. put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Dataflow.V1b3.Connection.html#request/2","title":"GoogleApi.Dataflow.V1b3.Connection.request/2","module":"GoogleApi.Dataflow.V1b3.Connection","type":"function","doc":"Perform a request Options: :method - the request method, one of [:head, :get, :delete, :trace, :options, :post, :put, :patch] :url - either full url e.g. &quot;http://example.com/some/path&quot; or just &quot;/some/path&quot; if using Tesla.Middleware.BaseUrl :query - a keyword list of query params, e.g. [page: 1, per_page: 100] :headers - a keyworld list of headers, e.g. [{&quot;content-type&quot;, &quot;text/plain&quot;}] :body - depends on used middleware: by default it can be a binary if using e.g. JSON encoding middleware it can be a nested map if adapter supports it it can be a Stream with any of the above :opts - custom, per-request middleware or adapter options Examples: ExampleApi.request(method: :get, url: &quot;/users/path&quot;) You can also use shortcut methods like: ExampleApi.get(&quot;/users/1&quot;) or ExampleApi.post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;})"},{"ref":"GoogleApi.Dataflow.V1b3.Connection.html#request!/2","title":"GoogleApi.Dataflow.V1b3.Connection.request!/2","module":"GoogleApi.Dataflow.V1b3.Connection","type":"function","doc":"Perform request and raise in case of error. This is similar to request/2 behaviour from Tesla 0.x See request/2 for list of available options."},{"ref":"GoogleApi.Dataflow.V1b3.Connection.html#trace/3","title":"GoogleApi.Dataflow.V1b3.Connection.trace/3","module":"GoogleApi.Dataflow.V1b3.Connection","type":"function","doc":"Perform a TRACE request. See request/1 or request/2 for options definition. trace(&quot;/users&quot;) trace(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace(client, &quot;/users&quot;) trace(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Dataflow.V1b3.Connection.html#trace!/3","title":"GoogleApi.Dataflow.V1b3.Connection.trace!/3","module":"GoogleApi.Dataflow.V1b3.Connection","type":"function","doc":"Perform a TRACE request. See request!/1 or request!/2 for options definition. trace!(&quot;/users&quot;) trace!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace!(client, &quot;/users&quot;) trace!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Dataflow.V1b3.Connection.html#t:option/0","title":"GoogleApi.Dataflow.V1b3.Connection.option/0","module":"GoogleApi.Dataflow.V1b3.Connection","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Deserializer.html","title":"GoogleApi.Dataflow.V1b3.Deserializer","module":"GoogleApi.Dataflow.V1b3.Deserializer","type":"module","doc":"Helper functions for deserializing responses into models. This module is no longer used. Please use GoogleApi.Gax.ModelBase instead."},{"ref":"GoogleApi.Dataflow.V1b3.Model.ApproximateProgress.html","title":"GoogleApi.Dataflow.V1b3.Model.ApproximateProgress","module":"GoogleApi.Dataflow.V1b3.Model.ApproximateProgress","type":"module","doc":"Obsolete in favor of ApproximateReportedProgress and ApproximateSplitRequest. Attributes percentComplete (float()): Obsolete. Defaults to: null. position (Position): Obsolete. Defaults to: null. remainingTime (String.t): Obsolete. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.ApproximateProgress.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.ApproximateProgress.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.ApproximateProgress","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.ApproximateProgress.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.ApproximateProgress.t/0","module":"GoogleApi.Dataflow.V1b3.Model.ApproximateProgress","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.ApproximateReportedProgress.html","title":"GoogleApi.Dataflow.V1b3.Model.ApproximateReportedProgress","module":"GoogleApi.Dataflow.V1b3.Model.ApproximateReportedProgress","type":"module","doc":"A progress measurement of a WorkItem by a worker. Attributes consumedParallelism (ReportedParallelism): Total amount of parallelism in the portion of input of this task that has already been consumed and is no longer active. In the first two examples above (see remaining_parallelism), the value should be 29 or 2 respectively. The sum of remaining_parallelism and consumed_parallelism should equal the total amount of parallelism in this work item. If specified, must be finite. Defaults to: null. fractionConsumed (float()): Completion as fraction of the input consumed, from 0.0 (beginning, nothing consumed), to 1.0 (end of the input, entire input consumed). Defaults to: null. position (Position): A Position within the work to represent a progress. Defaults to: null. remainingParallelism (ReportedParallelism): Total amount of parallelism in the input of this task that remains, (i.e. can be delegated to this task and any new tasks via dynamic splitting). Always at least 1 for non-finished work items and 0 for finished. &quot;Amount of parallelism&quot; refers to how many non-empty parts of the input can be read in parallel. This does not necessarily equal number of records. An input that can be read in parallel down to the individual records is called &quot;perfectly splittable&quot;. An example of non-perfectly parallelizable input is a block-compressed file format where a block of records has to be read as a whole, but different blocks can be read in parallel. Examples: If we are processing record #30 (starting at 1) out of 50 in a perfectly splittable 50-record input, this value should be 21 (20 remaining + 1 current). If we are reading through block 3 in a block-compressed file consisting of 5 blocks, this value should be 3 (since blocks 4 and 5 can be processed in parallel by new tasks via dynamic splitting and the current task remains processing block 3). * If we are reading through the last block in a block-compressed file, or reading or processing the last record in a perfectly splittable input, this value should be 1, because apart from the current task, no additional remainder can be split off. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.ApproximateReportedProgress.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.ApproximateReportedProgress.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.ApproximateReportedProgress","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.ApproximateReportedProgress.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.ApproximateReportedProgress.t/0","module":"GoogleApi.Dataflow.V1b3.Model.ApproximateReportedProgress","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.ApproximateSplitRequest.html","title":"GoogleApi.Dataflow.V1b3.Model.ApproximateSplitRequest","module":"GoogleApi.Dataflow.V1b3.Model.ApproximateSplitRequest","type":"module","doc":"A suggestion by the service to the worker to dynamically split the WorkItem. Attributes fractionConsumed (float()): A fraction at which to split the work item, from 0.0 (beginning of the input) to 1.0 (end of the input). Defaults to: null. fractionOfRemainder (float()): The fraction of the remainder of work to split the work item at, from 0.0 (split at the current position) to 1.0 (end of the input). Defaults to: null. position (Position): A Position at which to split the work item. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.ApproximateSplitRequest.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.ApproximateSplitRequest.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.ApproximateSplitRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.ApproximateSplitRequest.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.ApproximateSplitRequest.t/0","module":"GoogleApi.Dataflow.V1b3.Model.ApproximateSplitRequest","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.AutoscalingEvent.html","title":"GoogleApi.Dataflow.V1b3.Model.AutoscalingEvent","module":"GoogleApi.Dataflow.V1b3.Model.AutoscalingEvent","type":"module","doc":"A structured message reporting an autoscaling decision made by the Dataflow service. Attributes currentNumWorkers (String.t): The current number of workers the job has. Defaults to: null. description (StructuredMessage): A message describing why the system decided to adjust the current number of workers, why it failed, or why the system decided to not make any changes to the number of workers. Defaults to: null. eventType (String.t): The type of autoscaling event to report. Defaults to: null. Enum - one of [TYPE_UNKNOWN, TARGET_NUM_WORKERS_CHANGED, CURRENT_NUM_WORKERS_CHANGED, ACTUATION_FAILURE, NO_CHANGE] targetNumWorkers (String.t): The target number of workers the worker pool wants to resize to use. Defaults to: null. time (DateTime.t): The time this event was emitted to indicate a new target or current num_workers value. Defaults to: null. workerPool (String.t): A short and friendly name for the worker pool this event refers to, populated from the value of PoolStageRelation::user_pool_name. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.AutoscalingEvent.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.AutoscalingEvent.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.AutoscalingEvent","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.AutoscalingEvent.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.AutoscalingEvent.t/0","module":"GoogleApi.Dataflow.V1b3.Model.AutoscalingEvent","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.AutoscalingSettings.html","title":"GoogleApi.Dataflow.V1b3.Model.AutoscalingSettings","module":"GoogleApi.Dataflow.V1b3.Model.AutoscalingSettings","type":"module","doc":"Settings for WorkerPool autoscaling. Attributes algorithm (String.t): The algorithm to use for autoscaling. Defaults to: null. Enum - one of [AUTOSCALING_ALGORITHM_UNKNOWN, AUTOSCALING_ALGORITHM_NONE, AUTOSCALING_ALGORITHM_BASIC] maxNumWorkers (integer()): The maximum number of workers to cap scaling at. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.AutoscalingSettings.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.AutoscalingSettings.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.AutoscalingSettings","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.AutoscalingSettings.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.AutoscalingSettings.t/0","module":"GoogleApi.Dataflow.V1b3.Model.AutoscalingSettings","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.BigQueryIoDetails.html","title":"GoogleApi.Dataflow.V1b3.Model.BigQueryIoDetails","module":"GoogleApi.Dataflow.V1b3.Model.BigQueryIoDetails","type":"module","doc":"Metadata for a BigQuery connector used by the job. Attributes dataset (String.t): Dataset accessed in the connection. Defaults to: null. projectId (String.t): Project accessed in the connection. Defaults to: null. query (String.t): Query used to access data in the connection. Defaults to: null. table (String.t): Table accessed in the connection. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.BigQueryIoDetails.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.BigQueryIoDetails.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.BigQueryIoDetails","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.BigQueryIoDetails.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.BigQueryIoDetails.t/0","module":"GoogleApi.Dataflow.V1b3.Model.BigQueryIoDetails","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.BigTableIoDetails.html","title":"GoogleApi.Dataflow.V1b3.Model.BigTableIoDetails","module":"GoogleApi.Dataflow.V1b3.Model.BigTableIoDetails","type":"module","doc":"Metadata for a BigTable connector used by the job. Attributes instanceId (String.t): InstanceId accessed in the connection. Defaults to: null. projectId (String.t): ProjectId accessed in the connection. Defaults to: null. tableId (String.t): TableId accessed in the connection. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.BigTableIoDetails.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.BigTableIoDetails.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.BigTableIoDetails","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.BigTableIoDetails.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.BigTableIoDetails.t/0","module":"GoogleApi.Dataflow.V1b3.Model.BigTableIoDetails","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.ComponentSource.html","title":"GoogleApi.Dataflow.V1b3.Model.ComponentSource","module":"GoogleApi.Dataflow.V1b3.Model.ComponentSource","type":"module","doc":"Description of an interstitial value between transforms in an execution stage. Attributes name (String.t): Dataflow service generated name for this source. Defaults to: null. originalTransformOrCollection (String.t): User name for the original user transform or collection with which this source is most closely associated. Defaults to: null. userName (String.t): Human-readable name for this transform; may be user or system generated. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.ComponentSource.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.ComponentSource.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.ComponentSource","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.ComponentSource.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.ComponentSource.t/0","module":"GoogleApi.Dataflow.V1b3.Model.ComponentSource","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.ComponentTransform.html","title":"GoogleApi.Dataflow.V1b3.Model.ComponentTransform","module":"GoogleApi.Dataflow.V1b3.Model.ComponentTransform","type":"module","doc":"Description of a transform executed as part of an execution stage. Attributes name (String.t): Dataflow service generated name for this source. Defaults to: null. originalTransform (String.t): User name for the original user transform with which this transform is most closely associated. Defaults to: null. userName (String.t): Human-readable name for this transform; may be user or system generated. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.ComponentTransform.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.ComponentTransform.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.ComponentTransform","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.ComponentTransform.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.ComponentTransform.t/0","module":"GoogleApi.Dataflow.V1b3.Model.ComponentTransform","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.ComputationTopology.html","title":"GoogleApi.Dataflow.V1b3.Model.ComputationTopology","module":"GoogleApi.Dataflow.V1b3.Model.ComputationTopology","type":"module","doc":"All configuration data for a particular Computation. Attributes computationId (String.t): The ID of the computation. Defaults to: null. inputs ([StreamLocation]): The inputs to the computation. Defaults to: null. keyRanges ([KeyRangeLocation]): The key ranges processed by the computation. Defaults to: null. outputs ([StreamLocation]): The outputs from the computation. Defaults to: null. stateFamilies ([StateFamilyConfig]): The state family values. Defaults to: null. systemStageName (String.t): The system stage name. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.ComputationTopology.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.ComputationTopology.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.ComputationTopology","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.ComputationTopology.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.ComputationTopology.t/0","module":"GoogleApi.Dataflow.V1b3.Model.ComputationTopology","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.ConcatPosition.html","title":"GoogleApi.Dataflow.V1b3.Model.ConcatPosition","module":"GoogleApi.Dataflow.V1b3.Model.ConcatPosition","type":"module","doc":"A position that encapsulates an inner position and an index for the inner position. A ConcatPosition can be used by a reader of a source that encapsulates a set of other sources. Attributes index (integer()): Index of the inner source. Defaults to: null. position (Position): Position within the inner source. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.ConcatPosition.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.ConcatPosition.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.ConcatPosition","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.ConcatPosition.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.ConcatPosition.t/0","module":"GoogleApi.Dataflow.V1b3.Model.ConcatPosition","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.CounterMetadata.html","title":"GoogleApi.Dataflow.V1b3.Model.CounterMetadata","module":"GoogleApi.Dataflow.V1b3.Model.CounterMetadata","type":"module","doc":"CounterMetadata includes all static non-name non-value counter attributes. Attributes description (String.t): Human-readable description of the counter semantics. Defaults to: null. kind (String.t): Counter aggregation kind. Defaults to: null. Enum - one of [INVALID, SUM, MAX, MIN, MEAN, OR, AND, SET, DISTRIBUTION, LATEST_VALUE] otherUnits (String.t): A string referring to the unit type. Defaults to: null. standardUnits (String.t): System defined Units, see above enum. Defaults to: null. Enum - one of [BYTES, BYTES_PER_SEC, MILLISECONDS, MICROSECONDS, NANOSECONDS, TIMESTAMP_MSEC, TIMESTAMP_USEC, TIMESTAMP_NSEC]"},{"ref":"GoogleApi.Dataflow.V1b3.Model.CounterMetadata.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.CounterMetadata.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.CounterMetadata","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.CounterMetadata.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.CounterMetadata.t/0","module":"GoogleApi.Dataflow.V1b3.Model.CounterMetadata","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.CounterStructuredName.html","title":"GoogleApi.Dataflow.V1b3.Model.CounterStructuredName","module":"GoogleApi.Dataflow.V1b3.Model.CounterStructuredName","type":"module","doc":"Identifies a counter within a per-job namespace. Counters whose structured names are the same get merged into a single value for the job. Attributes componentStepName (String.t): Name of the optimized step being executed by the workers. Defaults to: null. executionStepName (String.t): Name of the stage. An execution step contains multiple component steps. Defaults to: null. inputIndex (integer()): Index of an input collection that&#39;s being read from/written to as a side input. The index identifies a step&#39;s side inputs starting by 1 (e.g. the first side input has input_index 1, the third has input_index 3). Side inputs are identified by a pair of (original_step_name, input_index). This field helps uniquely identify them. Defaults to: null. name (String.t): Counter name. Not necessarily globally-unique, but unique within the context of the other fields. Required. Defaults to: null. origin (String.t): One of the standard Origins defined above. Defaults to: null. Enum - one of [SYSTEM, USER] originNamespace (String.t): A string containing a more specific namespace of the counter&#39;s origin. Defaults to: null. originalRequestingStepName (String.t): The step name requesting an operation, such as GBK. I.e. the ParDo causing a read/write from shuffle to occur, or a read from side inputs. Defaults to: null. originalStepName (String.t): System generated name of the original step in the user&#39;s graph, before optimization. Defaults to: null. portion (String.t): Portion of this counter, either key or value. Defaults to: null. Enum - one of [ALL, KEY, VALUE] workerId (String.t): ID of a particular worker. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.CounterStructuredName.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.CounterStructuredName.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.CounterStructuredName","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.CounterStructuredName.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.CounterStructuredName.t/0","module":"GoogleApi.Dataflow.V1b3.Model.CounterStructuredName","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.CounterStructuredNameAndMetadata.html","title":"GoogleApi.Dataflow.V1b3.Model.CounterStructuredNameAndMetadata","module":"GoogleApi.Dataflow.V1b3.Model.CounterStructuredNameAndMetadata","type":"module","doc":"A single message which encapsulates structured name and metadata for a given counter. Attributes metadata (CounterMetadata): Metadata associated with a counter Defaults to: null. name (CounterStructuredName): Structured name of the counter. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.CounterStructuredNameAndMetadata.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.CounterStructuredNameAndMetadata.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.CounterStructuredNameAndMetadata","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.CounterStructuredNameAndMetadata.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.CounterStructuredNameAndMetadata.t/0","module":"GoogleApi.Dataflow.V1b3.Model.CounterStructuredNameAndMetadata","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.CounterUpdate.html","title":"GoogleApi.Dataflow.V1b3.Model.CounterUpdate","module":"GoogleApi.Dataflow.V1b3.Model.CounterUpdate","type":"module","doc":"An update to a Counter sent from a worker. Attributes boolean (boolean()): Boolean value for And, Or. Defaults to: null. cumulative (boolean()): True if this counter is reported as the total cumulative aggregate value accumulated since the worker started working on this WorkItem. By default this is false, indicating that this counter is reported as a delta. Defaults to: null. distribution (DistributionUpdate): Distribution data Defaults to: null. floatingPoint (float()): Floating point value for Sum, Max, Min. Defaults to: null. floatingPointList (FloatingPointList): List of floating point numbers, for Set. Defaults to: null. floatingPointMean (FloatingPointMean): Floating point mean aggregation value for Mean. Defaults to: null. integer (SplitInt64): Integer value for Sum, Max, Min. Defaults to: null. integerGauge (IntegerGauge): Gauge data Defaults to: null. integerList (IntegerList): List of integers, for Set. Defaults to: null. integerMean (IntegerMean): Integer mean aggregation value for Mean. Defaults to: null. internal (String.t): Value for internally-defined counters used by the Dataflow service. Defaults to: null. nameAndKind (NameAndKind): Counter name and aggregation type. Defaults to: null. shortId (String.t): The service-generated short identifier for this counter. The short_id -&gt; (name, metadata) mapping is constant for the lifetime of a job. Defaults to: null. stringList (StringList): List of strings, for Set. Defaults to: null. structuredNameAndMetadata (CounterStructuredNameAndMetadata): Counter structured name and metadata. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.CounterUpdate.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.CounterUpdate.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.CounterUpdate","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.CounterUpdate.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.CounterUpdate.t/0","module":"GoogleApi.Dataflow.V1b3.Model.CounterUpdate","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.CpuTime.html","title":"GoogleApi.Dataflow.V1b3.Model.CpuTime","module":"GoogleApi.Dataflow.V1b3.Model.CpuTime","type":"module","doc":"Modeled after information exposed by /proc/stat. Attributes rate (float()): Average CPU utilization rate (% non-idle cpu / second) since previous sample. Defaults to: null. timestamp (DateTime.t): Timestamp of the measurement. Defaults to: null. totalMs (String.t): Total active CPU time across all cores (ie., non-idle) in milliseconds since start-up. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.CpuTime.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.CpuTime.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.CpuTime","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.CpuTime.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.CpuTime.t/0","module":"GoogleApi.Dataflow.V1b3.Model.CpuTime","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.CreateJobFromTemplateRequest.html","title":"GoogleApi.Dataflow.V1b3.Model.CreateJobFromTemplateRequest","module":"GoogleApi.Dataflow.V1b3.Model.CreateJobFromTemplateRequest","type":"module","doc":"A request to create a Cloud Dataflow job from a template. Attributes parameters (%{optional(String.t) &#x3D;&gt; String.t}): The runtime parameters to pass to the job. Defaults to: null. environment (RuntimeEnvironment): The runtime environment for the job. Defaults to: null. gcsPath (String.t): Required. A Cloud Storage path to the template from which to create the job. Must be a valid Cloud Storage URL, beginning with &#x60;gs://&#x60;. Defaults to: null. jobName (String.t): Required. The job name to use for the created job. Defaults to: null. location (String.t): The [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) to which to direct the request. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.CreateJobFromTemplateRequest.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.CreateJobFromTemplateRequest.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.CreateJobFromTemplateRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.CreateJobFromTemplateRequest.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.CreateJobFromTemplateRequest.t/0","module":"GoogleApi.Dataflow.V1b3.Model.CreateJobFromTemplateRequest","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.CustomSourceLocation.html","title":"GoogleApi.Dataflow.V1b3.Model.CustomSourceLocation","module":"GoogleApi.Dataflow.V1b3.Model.CustomSourceLocation","type":"module","doc":"Identifies the location of a custom souce. Attributes stateful (boolean()): Whether this source is stateful. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.CustomSourceLocation.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.CustomSourceLocation.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.CustomSourceLocation","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.CustomSourceLocation.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.CustomSourceLocation.t/0","module":"GoogleApi.Dataflow.V1b3.Model.CustomSourceLocation","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.DataDiskAssignment.html","title":"GoogleApi.Dataflow.V1b3.Model.DataDiskAssignment","module":"GoogleApi.Dataflow.V1b3.Model.DataDiskAssignment","type":"module","doc":"Data disk assignment for a given VM instance. Attributes dataDisks ([String.t]): Mounted data disks. The order is important a data disk&#39;s 0-based index in this list defines which persistent directory the disk is mounted to, for example the list of { &quot;myproject-1014-104817-4c2-harness-0-disk-0&quot; }, { &quot;myproject-1014-104817-4c2-harness-0-disk-1&quot; }. Defaults to: null. vmInstance (String.t): VM instance name the data disks mounted to, for example &quot;myproject-1014-104817-4c2-harness-0&quot;. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.DataDiskAssignment.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.DataDiskAssignment.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.DataDiskAssignment","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.DataDiskAssignment.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.DataDiskAssignment.t/0","module":"GoogleApi.Dataflow.V1b3.Model.DataDiskAssignment","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.DatastoreIoDetails.html","title":"GoogleApi.Dataflow.V1b3.Model.DatastoreIoDetails","module":"GoogleApi.Dataflow.V1b3.Model.DatastoreIoDetails","type":"module","doc":"Metadata for a Datastore connector used by the job. Attributes namespace (String.t): Namespace used in the connection. Defaults to: null. projectId (String.t): ProjectId accessed in the connection. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.DatastoreIoDetails.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.DatastoreIoDetails.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.DatastoreIoDetails","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.DatastoreIoDetails.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.DatastoreIoDetails.t/0","module":"GoogleApi.Dataflow.V1b3.Model.DatastoreIoDetails","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.DerivedSource.html","title":"GoogleApi.Dataflow.V1b3.Model.DerivedSource","module":"GoogleApi.Dataflow.V1b3.Model.DerivedSource","type":"module","doc":"Specification of one of the bundles produced as a result of splitting a Source (e.g. when executing a SourceSplitRequest, or when splitting an active task using WorkItemStatus.dynamic_source_split), relative to the source being split. Attributes derivationMode (String.t): What source to base the produced source on (if any). Defaults to: null. Enum - one of [SOURCE_DERIVATION_MODE_UNKNOWN, SOURCE_DERIVATION_MODE_INDEPENDENT, SOURCE_DERIVATION_MODE_CHILD_OF_CURRENT, SOURCE_DERIVATION_MODE_SIBLING_OF_CURRENT] source (Source): Specification of the source. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.DerivedSource.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.DerivedSource.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.DerivedSource","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.DerivedSource.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.DerivedSource.t/0","module":"GoogleApi.Dataflow.V1b3.Model.DerivedSource","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.Disk.html","title":"GoogleApi.Dataflow.V1b3.Model.Disk","module":"GoogleApi.Dataflow.V1b3.Model.Disk","type":"module","doc":"Describes the data disk used by a workflow job. Attributes diskType (String.t): Disk storage type, as defined by Google Compute Engine. This must be a disk type appropriate to the project and zone in which the workers will run. If unknown or unspecified, the service will attempt to choose a reasonable default. For example, the standard persistent disk type is a resource name typically ending in &quot;pd-standard&quot;. If SSD persistent disks are available, the resource name typically ends with &quot;pd-ssd&quot;. The actual valid values are defined the Google Compute Engine API, not by the Cloud Dataflow API; consult the Google Compute Engine documentation for more information about determining the set of available disk types for a particular project and zone. Google Compute Engine Disk types are local to a particular project in a particular zone, and so the resource name will typically look something like this: compute.googleapis.com/projects/project-id/zones/zone/diskTypes/pd-standard Defaults to: null. mountPoint (String.t): Directory in a VM where disk is mounted. Defaults to: null. sizeGb (integer()): Size of disk in GB. If zero or unspecified, the service will attempt to choose a reasonable default. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.Disk.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.Disk.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.Disk","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.Disk.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.Disk.t/0","module":"GoogleApi.Dataflow.V1b3.Model.Disk","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.DisplayData.html","title":"GoogleApi.Dataflow.V1b3.Model.DisplayData","module":"GoogleApi.Dataflow.V1b3.Model.DisplayData","type":"module","doc":"Data provided with a pipeline or transform to provide descriptive info. Attributes boolValue (boolean()): Contains value if the data is of a boolean type. Defaults to: null. durationValue (String.t): Contains value if the data is of duration type. Defaults to: null. floatValue (float()): Contains value if the data is of float type. Defaults to: null. int64Value (String.t): Contains value if the data is of int64 type. Defaults to: null. javaClassValue (String.t): Contains value if the data is of java class type. Defaults to: null. key (String.t): The key identifying the display data. This is intended to be used as a label for the display data when viewed in a dax monitoring system. Defaults to: null. label (String.t): An optional label to display in a dax UI for the element. Defaults to: null. namespace (String.t): The namespace for the key. This is usually a class name or programming language namespace (i.e. python module) which defines the display data. This allows a dax monitoring system to specially handle the data and perform custom rendering. Defaults to: null. shortStrValue (String.t): A possible additional shorter value to display. For example a java_class_name_value of com.mypackage.MyDoFn will be stored with MyDoFn as the short_str_value and com.mypackage.MyDoFn as the java_class_name value. short_str_value can be displayed and java_class_name_value will be displayed as a tooltip. Defaults to: null. strValue (String.t): Contains value if the data is of string type. Defaults to: null. timestampValue (DateTime.t): Contains value if the data is of timestamp type. Defaults to: null. url (String.t): An optional full URL. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.DisplayData.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.DisplayData.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.DisplayData","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.DisplayData.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.DisplayData.t/0","module":"GoogleApi.Dataflow.V1b3.Model.DisplayData","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.DistributionUpdate.html","title":"GoogleApi.Dataflow.V1b3.Model.DistributionUpdate","module":"GoogleApi.Dataflow.V1b3.Model.DistributionUpdate","type":"module","doc":"A metric value representing a distribution. Attributes count (SplitInt64): The count of the number of elements present in the distribution. Defaults to: null. histogram (Histogram): (Optional) Histogram of value counts for the distribution. Defaults to: null. max (SplitInt64): The maximum value present in the distribution. Defaults to: null. min (SplitInt64): The minimum value present in the distribution. Defaults to: null. sum (SplitInt64): Use an int64 since we&#39;d prefer the added precision. If overflow is a common problem we can detect it and use an additional int64 or a double. Defaults to: null. sumOfSquares (float()): Use a double since the sum of squares is likely to overflow int64. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.DistributionUpdate.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.DistributionUpdate.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.DistributionUpdate","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.DistributionUpdate.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.DistributionUpdate.t/0","module":"GoogleApi.Dataflow.V1b3.Model.DistributionUpdate","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.DynamicSourceSplit.html","title":"GoogleApi.Dataflow.V1b3.Model.DynamicSourceSplit","module":"GoogleApi.Dataflow.V1b3.Model.DynamicSourceSplit","type":"module","doc":"When a task splits using WorkItemStatus.dynamic_source_split, this message describes the two parts of the split relative to the description of the current task&#39;s input. Attributes primary (DerivedSource): Primary part (continued to be processed by worker). Specified relative to the previously-current source. Becomes current. Defaults to: null. residual (DerivedSource): Residual part (returned to the pool of work). Specified relative to the previously-current source. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.DynamicSourceSplit.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.DynamicSourceSplit.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.DynamicSourceSplit","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.DynamicSourceSplit.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.DynamicSourceSplit.t/0","module":"GoogleApi.Dataflow.V1b3.Model.DynamicSourceSplit","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.Environment.html","title":"GoogleApi.Dataflow.V1b3.Model.Environment","module":"GoogleApi.Dataflow.V1b3.Model.Environment","type":"module","doc":"Describes the environment in which a Dataflow Job runs. Attributes clusterManagerApiService (String.t): The type of cluster manager API to use. If unknown or unspecified, the service will attempt to choose a reasonable default. This should be in the form of the API service name, e.g. &quot;compute.googleapis.com&quot;. Defaults to: null. dataset (String.t): The dataset for the current project where various workflow related tables are stored. The supported resource type is: Google BigQuery: bigquery.googleapis.com/{dataset} Defaults to: null. experiments ([String.t]): The list of experiments to enable. Defaults to: null. flexResourceSchedulingGoal (String.t): Which Flexible Resource Scheduling mode to run in. Defaults to: null. Enum - one of [FLEXRS_UNSPECIFIED, FLEXRS_SPEED_OPTIMIZED, FLEXRS_COST_OPTIMIZED] internalExperiments (%{optional(String.t) &#x3D;&gt; String.t}): Experimental settings. Defaults to: null. sdkPipelineOptions (%{optional(String.t) &#x3D;&gt; String.t}): The Cloud Dataflow SDK pipeline options specified by the user. These options are passed through the service and are used to recreate the SDK pipeline options on the worker in a language agnostic and platform independent way. Defaults to: null. serviceAccountEmail (String.t): Identity to run virtual machines as. Defaults to the default account. Defaults to: null. serviceKmsKeyName (String.t): If set, contains the Cloud KMS key identifier used to encrypt data at rest, AKA a Customer Managed Encryption Key (CMEK). Format: projects/PROJECT_ID/locations/LOCATION/keyRings/KEY_RING/cryptoKeys/KEY Defaults to: null. tempStoragePrefix (String.t): The prefix of the resources the system should use for temporary storage. The system will append the suffix &quot;/temp-{JOBNAME} to this resource prefix, where {JOBNAME} is the value of the job_name field. The resulting bucket and object prefix is used as the prefix of the resources used to store temporary data needed during the job execution. NOTE: This will override the value in taskrunner_settings. The supported resource type is: Google Cloud Storage: storage.googleapis.com/{bucket}/{object} bucket.storage.googleapis.com/{object} Defaults to: null. userAgent (%{optional(String.t) &#x3D;&gt; String.t}): A description of the process that generated the request. Defaults to: null. version (%{optional(String.t) &#x3D;&gt; String.t}): A structure describing which components and their versions of the service are required in order to run the job. Defaults to: null. workerPools ([WorkerPool]): The worker pools. At least one &quot;harness&quot; worker pool must be specified in order for the job to have workers. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.Environment.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.Environment.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.Environment","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.Environment.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.Environment.t/0","module":"GoogleApi.Dataflow.V1b3.Model.Environment","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.ExecutionStageState.html","title":"GoogleApi.Dataflow.V1b3.Model.ExecutionStageState","module":"GoogleApi.Dataflow.V1b3.Model.ExecutionStageState","type":"module","doc":"A message describing the state of a particular execution stage. Attributes currentStateTime (DateTime.t): The time at which the stage transitioned to this state. Defaults to: null. executionStageName (String.t): The name of the execution stage. Defaults to: null. executionStageState (String.t): Executions stage states allow the same set of values as JobState. Defaults to: null. Enum - one of [JOB_STATE_UNKNOWN, JOB_STATE_STOPPED, JOB_STATE_RUNNING, JOB_STATE_DONE, JOB_STATE_FAILED, JOB_STATE_CANCELLED, JOB_STATE_UPDATED, JOB_STATE_DRAINING, JOB_STATE_DRAINED, JOB_STATE_PENDING, JOB_STATE_CANCELLING, JOB_STATE_QUEUED]"},{"ref":"GoogleApi.Dataflow.V1b3.Model.ExecutionStageState.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.ExecutionStageState.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.ExecutionStageState","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.ExecutionStageState.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.ExecutionStageState.t/0","module":"GoogleApi.Dataflow.V1b3.Model.ExecutionStageState","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.ExecutionStageSummary.html","title":"GoogleApi.Dataflow.V1b3.Model.ExecutionStageSummary","module":"GoogleApi.Dataflow.V1b3.Model.ExecutionStageSummary","type":"module","doc":"Description of the composing transforms, names/ids, and input/outputs of a stage of execution. Some composing transforms and sources may have been generated by the Dataflow service during execution planning. Attributes componentSource ([ComponentSource]): Collections produced and consumed by component transforms of this stage. Defaults to: null. componentTransform ([ComponentTransform]): Transforms that comprise this execution stage. Defaults to: null. id (String.t): Dataflow service generated id for this stage. Defaults to: null. inputSource ([StageSource]): Input sources for this stage. Defaults to: null. kind (String.t): Type of tranform this stage is executing. Defaults to: null. Enum - one of [UNKNOWN_KIND, PAR_DO_KIND, GROUP_BY_KEY_KIND, FLATTEN_KIND, READ_KIND, WRITE_KIND, CONSTANT_KIND, SINGLETON_KIND, SHUFFLE_KIND] name (String.t): Dataflow service generated name for this stage. Defaults to: null. outputSource ([StageSource]): Output sources for this stage. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.ExecutionStageSummary.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.ExecutionStageSummary.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.ExecutionStageSummary","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.ExecutionStageSummary.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.ExecutionStageSummary.t/0","module":"GoogleApi.Dataflow.V1b3.Model.ExecutionStageSummary","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.FailedLocation.html","title":"GoogleApi.Dataflow.V1b3.Model.FailedLocation","module":"GoogleApi.Dataflow.V1b3.Model.FailedLocation","type":"module","doc":"Indicates which [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) failed to respond to a request for data. Attributes name (String.t): The name of the [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) that failed to respond. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.FailedLocation.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.FailedLocation.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.FailedLocation","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.FailedLocation.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.FailedLocation.t/0","module":"GoogleApi.Dataflow.V1b3.Model.FailedLocation","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.FileIoDetails.html","title":"GoogleApi.Dataflow.V1b3.Model.FileIoDetails","module":"GoogleApi.Dataflow.V1b3.Model.FileIoDetails","type":"module","doc":"Metadata for a File connector used by the job. Attributes filePattern (String.t): File Pattern used to access files by the connector. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.FileIoDetails.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.FileIoDetails.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.FileIoDetails","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.FileIoDetails.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.FileIoDetails.t/0","module":"GoogleApi.Dataflow.V1b3.Model.FileIoDetails","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.FlattenInstruction.html","title":"GoogleApi.Dataflow.V1b3.Model.FlattenInstruction","module":"GoogleApi.Dataflow.V1b3.Model.FlattenInstruction","type":"module","doc":"An instruction that copies its inputs (zero or more) to its (single) output. Attributes inputs ([InstructionInput]): Describes the inputs to the flatten instruction. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.FlattenInstruction.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.FlattenInstruction.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.FlattenInstruction","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.FlattenInstruction.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.FlattenInstruction.t/0","module":"GoogleApi.Dataflow.V1b3.Model.FlattenInstruction","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.FloatingPointList.html","title":"GoogleApi.Dataflow.V1b3.Model.FloatingPointList","module":"GoogleApi.Dataflow.V1b3.Model.FloatingPointList","type":"module","doc":"A metric value representing a list of floating point numbers. Attributes elements ([float()]): Elements of the list. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.FloatingPointList.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.FloatingPointList.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.FloatingPointList","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.FloatingPointList.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.FloatingPointList.t/0","module":"GoogleApi.Dataflow.V1b3.Model.FloatingPointList","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.FloatingPointMean.html","title":"GoogleApi.Dataflow.V1b3.Model.FloatingPointMean","module":"GoogleApi.Dataflow.V1b3.Model.FloatingPointMean","type":"module","doc":"A representation of a floating point mean metric contribution. Attributes count (SplitInt64): The number of values being aggregated. Defaults to: null. sum (float()): The sum of all values being aggregated. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.FloatingPointMean.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.FloatingPointMean.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.FloatingPointMean","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.FloatingPointMean.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.FloatingPointMean.t/0","module":"GoogleApi.Dataflow.V1b3.Model.FloatingPointMean","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.GetDebugConfigRequest.html","title":"GoogleApi.Dataflow.V1b3.Model.GetDebugConfigRequest","module":"GoogleApi.Dataflow.V1b3.Model.GetDebugConfigRequest","type":"module","doc":"Request to get updated debug configuration for component. Attributes componentId (String.t): The internal component id for which debug configuration is requested. Defaults to: null. location (String.t): The [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) that contains the job specified by job_id. Defaults to: null. workerId (String.t): The worker id, i.e., VM hostname. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.GetDebugConfigRequest.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.GetDebugConfigRequest.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.GetDebugConfigRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.GetDebugConfigRequest.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.GetDebugConfigRequest.t/0","module":"GoogleApi.Dataflow.V1b3.Model.GetDebugConfigRequest","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.GetDebugConfigResponse.html","title":"GoogleApi.Dataflow.V1b3.Model.GetDebugConfigResponse","module":"GoogleApi.Dataflow.V1b3.Model.GetDebugConfigResponse","type":"module","doc":"Response to a get debug configuration request. Attributes config (String.t): The encoded debug configuration for the requested component. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.GetDebugConfigResponse.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.GetDebugConfigResponse.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.GetDebugConfigResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.GetDebugConfigResponse.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.GetDebugConfigResponse.t/0","module":"GoogleApi.Dataflow.V1b3.Model.GetDebugConfigResponse","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.GetTemplateResponse.html","title":"GoogleApi.Dataflow.V1b3.Model.GetTemplateResponse","module":"GoogleApi.Dataflow.V1b3.Model.GetTemplateResponse","type":"module","doc":"The response to a GetTemplate request. Attributes metadata (TemplateMetadata): The template metadata describing the template name, available parameters, etc. Defaults to: null. status (Status): The status of the get template request. Any problems with the request will be indicated in the error_details. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.GetTemplateResponse.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.GetTemplateResponse.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.GetTemplateResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.GetTemplateResponse.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.GetTemplateResponse.t/0","module":"GoogleApi.Dataflow.V1b3.Model.GetTemplateResponse","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.Histogram.html","title":"GoogleApi.Dataflow.V1b3.Model.Histogram","module":"GoogleApi.Dataflow.V1b3.Model.Histogram","type":"module","doc":"Histogram of value counts for a distribution. Buckets have an inclusive lower bound and exclusive upper bound and use &quot;1,2,5 bucketing&quot;: The first bucket range is from [0,1) and all subsequent bucket boundaries are powers of ten multiplied by 1, 2, or 5. Thus, bucket boundaries are 0, 1, 2, 5, 10, 20, 50, 100, 200, 500, 1000, ... Negative values are not supported. Attributes bucketCounts ([String.t]): Counts of values in each bucket. For efficiency, prefix and trailing buckets with count &#x3D; 0 are elided. Buckets can store the full range of values of an unsigned long, with ULLONG_MAX falling into the 59th bucket with range [1e19, 2e19). Defaults to: null. firstBucketOffset (integer()): Starting index of first stored bucket. The non-inclusive upper-bound of the ith bucket is given by: pow(10,(i-first_bucket_offset)/3) * (1,2,5)[(i-first_bucket_offset)%3] Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.Histogram.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.Histogram.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.Histogram","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.Histogram.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.Histogram.t/0","module":"GoogleApi.Dataflow.V1b3.Model.Histogram","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.InstructionInput.html","title":"GoogleApi.Dataflow.V1b3.Model.InstructionInput","module":"GoogleApi.Dataflow.V1b3.Model.InstructionInput","type":"module","doc":"An input of an instruction, as a reference to an output of a producer instruction. Attributes outputNum (integer()): The output index (origin zero) within the producer. Defaults to: null. producerInstructionIndex (integer()): The index (origin zero) of the parallel instruction that produces the output to be consumed by this input. This index is relative to the list of instructions in this input&#39;s instruction&#39;s containing MapTask. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.InstructionInput.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.InstructionInput.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.InstructionInput","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.InstructionInput.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.InstructionInput.t/0","module":"GoogleApi.Dataflow.V1b3.Model.InstructionInput","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.InstructionOutput.html","title":"GoogleApi.Dataflow.V1b3.Model.InstructionOutput","module":"GoogleApi.Dataflow.V1b3.Model.InstructionOutput","type":"module","doc":"An output of an instruction. Attributes codec (%{optional(String.t) &#x3D;&gt; String.t}): The codec to use to encode data being written via this output. Defaults to: null. name (String.t): The user-provided name of this output. Defaults to: null. onlyCountKeyBytes (boolean()): For system-generated byte and mean byte metrics, certain instructions should only report the key size. Defaults to: null. onlyCountValueBytes (boolean()): For system-generated byte and mean byte metrics, certain instructions should only report the value size. Defaults to: null. originalName (String.t): System-defined name for this output in the original workflow graph. Outputs that do not contribute to an original instruction do not set this. Defaults to: null. systemName (String.t): System-defined name of this output. Unique across the workflow. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.InstructionOutput.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.InstructionOutput.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.InstructionOutput","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.InstructionOutput.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.InstructionOutput.t/0","module":"GoogleApi.Dataflow.V1b3.Model.InstructionOutput","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.IntegerGauge.html","title":"GoogleApi.Dataflow.V1b3.Model.IntegerGauge","module":"GoogleApi.Dataflow.V1b3.Model.IntegerGauge","type":"module","doc":"A metric value representing temporal values of a variable. Attributes timestamp (DateTime.t): The time at which this value was measured. Measured as msecs from epoch. Defaults to: null. value (SplitInt64): The value of the variable represented by this gauge. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.IntegerGauge.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.IntegerGauge.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.IntegerGauge","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.IntegerGauge.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.IntegerGauge.t/0","module":"GoogleApi.Dataflow.V1b3.Model.IntegerGauge","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.IntegerList.html","title":"GoogleApi.Dataflow.V1b3.Model.IntegerList","module":"GoogleApi.Dataflow.V1b3.Model.IntegerList","type":"module","doc":"A metric value representing a list of integers. Attributes elements ([SplitInt64]): Elements of the list. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.IntegerList.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.IntegerList.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.IntegerList","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.IntegerList.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.IntegerList.t/0","module":"GoogleApi.Dataflow.V1b3.Model.IntegerList","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.IntegerMean.html","title":"GoogleApi.Dataflow.V1b3.Model.IntegerMean","module":"GoogleApi.Dataflow.V1b3.Model.IntegerMean","type":"module","doc":"A representation of an integer mean metric contribution. Attributes count (SplitInt64): The number of values being aggregated. Defaults to: null. sum (SplitInt64): The sum of all values being aggregated. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.IntegerMean.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.IntegerMean.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.IntegerMean","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.IntegerMean.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.IntegerMean.t/0","module":"GoogleApi.Dataflow.V1b3.Model.IntegerMean","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.Job.html","title":"GoogleApi.Dataflow.V1b3.Model.Job","module":"GoogleApi.Dataflow.V1b3.Model.Job","type":"module","doc":"Defines a job to be run by the Cloud Dataflow service. Attributes clientRequestId (String.t): The client&#39;s unique identifier of the job, re-used across retried attempts. If this field is set, the service will ensure its uniqueness. The request to create a job will fail if the service has knowledge of a previously submitted job with the same client&#39;s ID and job name. The caller may use this field to ensure idempotence of job creation across retried attempts to create a job. By default, the field is empty and, in that case, the service ignores it. Defaults to: null. createTime (DateTime.t): The timestamp when the job was initially created. Immutable and set by the Cloud Dataflow service. Defaults to: null. createdFromSnapshotId (String.t): If this is specified, the job&#39;s initial state is populated from the given snapshot. Defaults to: null. currentState (String.t): The current state of the job. Jobs are created in the &#x60;JOB_STATE_STOPPED&#x60; state unless otherwise specified. A job in the &#x60;JOB_STATE_RUNNING&#x60; state may asynchronously enter a terminal state. After a job has reached a terminal state, no further state updates may be made. This field may be mutated by the Cloud Dataflow service; callers cannot mutate it. Defaults to: null. Enum - one of [JOB_STATE_UNKNOWN, JOB_STATE_STOPPED, JOB_STATE_RUNNING, JOB_STATE_DONE, JOB_STATE_FAILED, JOB_STATE_CANCELLED, JOB_STATE_UPDATED, JOB_STATE_DRAINING, JOB_STATE_DRAINED, JOB_STATE_PENDING, JOB_STATE_CANCELLING, JOB_STATE_QUEUED] currentStateTime (DateTime.t): The timestamp associated with the current state. Defaults to: null. environment (Environment): The environment for the job. Defaults to: null. executionInfo (JobExecutionInfo): Deprecated. Defaults to: null. id (String.t): The unique ID of this job. This field is set by the Cloud Dataflow service when the Job is created, and is immutable for the life of the job. Defaults to: null. jobMetadata (JobMetadata): This field is populated by the Dataflow service to support filtering jobs by the metadata values provided here. Populated for ListJobs and all GetJob views SUMMARY and higher. Defaults to: null. labels (%{optional(String.t) &#x3D;&gt; String.t}): User-defined labels for this job. The labels map can contain no more than 64 entries. Entries of the labels map are UTF8 strings that comply with the following restrictions: Keys must conform to regexp: \\p{Ll}\\p{Lo}{0,62} Values must conform to regexp: [\\p{Ll}\\p{Lo}\\p{N}_-]{0,63} * Both keys and values are additionally constrained to be &lt;&#x3D; 128 bytes in size. Defaults to: null. location (String.t): The [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) that contains this job. Defaults to: null. name (String.t): The user-specified Cloud Dataflow job name. Only one Job with a given name may exist in a project at any given time. If a caller attempts to create a Job with the same name as an already-existing Job, the attempt returns the existing Job. The name must match the regular expression &#x60;a-z?&#x60; Defaults to: null. pipelineDescription (PipelineDescription): Preliminary field: The format of this data may change at any time. A description of the user pipeline and stages through which it is executed. Created by Cloud Dataflow service. Only retrieved with JOB_VIEW_DESCRIPTION or JOB_VIEW_ALL. Defaults to: null. projectId (String.t): The ID of the Cloud Platform project that the job belongs to. Defaults to: null. replaceJobId (String.t): If this job is an update of an existing job, this field is the job ID of the job it replaced. When sending a &#x60;CreateJobRequest&#x60;, you can update a job by specifying it here. The job named here is stopped, and its intermediate state is transferred to this job. Defaults to: null. replacedByJobId (String.t): If another job is an update of this job (and thus, this job is in &#x60;JOB_STATE_UPDATED&#x60;), this field contains the ID of that job. Defaults to: null. requestedState (String.t): The job&#39;s requested state. &#x60;UpdateJob&#x60; may be used to switch between the &#x60;JOB_STATE_STOPPED&#x60; and &#x60;JOB_STATE_RUNNING&#x60; states, by setting requested_state. &#x60;UpdateJob&#x60; may also be used to directly set a job&#39;s requested state to &#x60;JOB_STATE_CANCELLED&#x60; or &#x60;JOB_STATE_DONE&#x60;, irrevocably terminating the job if it has not already reached a terminal state. Defaults to: null. Enum - one of [JOB_STATE_UNKNOWN, JOB_STATE_STOPPED, JOB_STATE_RUNNING, JOB_STATE_DONE, JOB_STATE_FAILED, JOB_STATE_CANCELLED, JOB_STATE_UPDATED, JOB_STATE_DRAINING, JOB_STATE_DRAINED, JOB_STATE_PENDING, JOB_STATE_CANCELLING, JOB_STATE_QUEUED] stageStates ([ExecutionStageState]): This field may be mutated by the Cloud Dataflow service; callers cannot mutate it. Defaults to: null. startTime (DateTime.t): The timestamp when the job was started (transitioned to JOB_STATE_PENDING). Flexible resource scheduling jobs are started with some delay after job creation, so start_time is unset before start and is updated when the job is started by the Cloud Dataflow service. For other jobs, start_time always equals to create_time and is immutable and set by the Cloud Dataflow service. Defaults to: null. steps ([Step]): Exactly one of step or steps_location should be specified. The top-level steps that constitute the entire job. Defaults to: null. stepsLocation (String.t): The GCS location where the steps are stored. Defaults to: null. tempFiles ([String.t]): A set of files the system should be aware of that are used for temporary storage. These temporary files will be removed on job completion. No duplicates are allowed. No file patterns are supported. The supported files are: Google Cloud Storage: storage.googleapis.com/{bucket}/{object} bucket.storage.googleapis.com/{object} Defaults to: null. transformNameMapping (%{optional(String.t) &#x3D;&gt; String.t}): The map of transform name prefixes of the job to be replaced to the corresponding name prefixes of the new job. Defaults to: null. type (String.t): The type of Cloud Dataflow job. Defaults to: null. Enum - one of [JOB_TYPE_UNKNOWN, JOB_TYPE_BATCH, JOB_TYPE_STREAMING]"},{"ref":"GoogleApi.Dataflow.V1b3.Model.Job.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.Job.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.Job","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.Job.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.Job.t/0","module":"GoogleApi.Dataflow.V1b3.Model.Job","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.JobExecutionInfo.html","title":"GoogleApi.Dataflow.V1b3.Model.JobExecutionInfo","module":"GoogleApi.Dataflow.V1b3.Model.JobExecutionInfo","type":"module","doc":"Additional information about how a Cloud Dataflow job will be executed that isn&#39;t contained in the submitted job. Attributes stages (%{optional(String.t) &#x3D;&gt; JobExecutionStageInfo}): A mapping from each stage to the information about that stage. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.JobExecutionInfo.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.JobExecutionInfo.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.JobExecutionInfo","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.JobExecutionInfo.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.JobExecutionInfo.t/0","module":"GoogleApi.Dataflow.V1b3.Model.JobExecutionInfo","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.JobExecutionStageInfo.html","title":"GoogleApi.Dataflow.V1b3.Model.JobExecutionStageInfo","module":"GoogleApi.Dataflow.V1b3.Model.JobExecutionStageInfo","type":"module","doc":"Contains information about how a particular google.dataflow.v1beta3.Step will be executed. Attributes stepName ([String.t]): The steps associated with the execution stage. Note that stages may have several steps, and that a given step might be run by more than one stage. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.JobExecutionStageInfo.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.JobExecutionStageInfo.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.JobExecutionStageInfo","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.JobExecutionStageInfo.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.JobExecutionStageInfo.t/0","module":"GoogleApi.Dataflow.V1b3.Model.JobExecutionStageInfo","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.JobMessage.html","title":"GoogleApi.Dataflow.V1b3.Model.JobMessage","module":"GoogleApi.Dataflow.V1b3.Model.JobMessage","type":"module","doc":"A particular message pertaining to a Dataflow job. Attributes id (String.t): Deprecated. Defaults to: null. messageImportance (String.t): Importance level of the message. Defaults to: null. Enum - one of [JOB_MESSAGE_IMPORTANCE_UNKNOWN, JOB_MESSAGE_DEBUG, JOB_MESSAGE_DETAILED, JOB_MESSAGE_BASIC, JOB_MESSAGE_WARNING, JOB_MESSAGE_ERROR] messageText (String.t): The text of the message. Defaults to: null. time (DateTime.t): The timestamp of the message. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.JobMessage.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.JobMessage.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.JobMessage","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.JobMessage.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.JobMessage.t/0","module":"GoogleApi.Dataflow.V1b3.Model.JobMessage","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.JobMetadata.html","title":"GoogleApi.Dataflow.V1b3.Model.JobMetadata","module":"GoogleApi.Dataflow.V1b3.Model.JobMetadata","type":"module","doc":"Metadata available primarily for filtering jobs. Will be included in the ListJob response and Job SUMMARY view. Attributes bigTableDetails ([BigTableIoDetails]): Identification of a BigTable source used in the Dataflow job. Defaults to: null. bigqueryDetails ([BigQueryIoDetails]): Identification of a BigQuery source used in the Dataflow job. Defaults to: null. datastoreDetails ([DatastoreIoDetails]): Identification of a Datastore source used in the Dataflow job. Defaults to: null. fileDetails ([FileIoDetails]): Identification of a File source used in the Dataflow job. Defaults to: null. pubsubDetails ([PubSubIoDetails]): Identification of a PubSub source used in the Dataflow job. Defaults to: null. sdkVersion (SdkVersion): The SDK version used to run the job. Defaults to: null. spannerDetails ([SpannerIoDetails]): Identification of a Spanner source used in the Dataflow job. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.JobMetadata.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.JobMetadata.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.JobMetadata","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.JobMetadata.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.JobMetadata.t/0","module":"GoogleApi.Dataflow.V1b3.Model.JobMetadata","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.JobMetrics.html","title":"GoogleApi.Dataflow.V1b3.Model.JobMetrics","module":"GoogleApi.Dataflow.V1b3.Model.JobMetrics","type":"module","doc":"JobMetrics contains a collection of metrics describing the detailed progress of a Dataflow job. Metrics correspond to user-defined and system-defined metrics in the job. This resource captures only the most recent values of each metric; time-series data can be queried for them (under the same metric names) from Cloud Monitoring. Attributes metricTime (DateTime.t): Timestamp as of which metric values are current. Defaults to: null. metrics ([MetricUpdate]): All metrics for this job. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.JobMetrics.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.JobMetrics.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.JobMetrics","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.JobMetrics.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.JobMetrics.t/0","module":"GoogleApi.Dataflow.V1b3.Model.JobMetrics","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.KeyRangeDataDiskAssignment.html","title":"GoogleApi.Dataflow.V1b3.Model.KeyRangeDataDiskAssignment","module":"GoogleApi.Dataflow.V1b3.Model.KeyRangeDataDiskAssignment","type":"module","doc":"Data disk assignment information for a specific key-range of a sharded computation. Currently we only support UTF-8 character splits to simplify encoding into JSON. Attributes dataDisk (String.t): The name of the data disk where data for this range is stored. This name is local to the Google Cloud Platform project and uniquely identifies the disk within that project, for example &quot;myproject-1014-104817-4c2-harness-0-disk-1&quot;. Defaults to: null. end (String.t): The end (exclusive) of the key range. Defaults to: null. start (String.t): The start (inclusive) of the key range. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.KeyRangeDataDiskAssignment.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.KeyRangeDataDiskAssignment.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.KeyRangeDataDiskAssignment","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.KeyRangeDataDiskAssignment.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.KeyRangeDataDiskAssignment.t/0","module":"GoogleApi.Dataflow.V1b3.Model.KeyRangeDataDiskAssignment","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.KeyRangeLocation.html","title":"GoogleApi.Dataflow.V1b3.Model.KeyRangeLocation","module":"GoogleApi.Dataflow.V1b3.Model.KeyRangeLocation","type":"module","doc":"Location information for a specific key-range of a sharded computation. Currently we only support UTF-8 character splits to simplify encoding into JSON. Attributes dataDisk (String.t): The name of the data disk where data for this range is stored. This name is local to the Google Cloud Platform project and uniquely identifies the disk within that project, for example &quot;myproject-1014-104817-4c2-harness-0-disk-1&quot;. Defaults to: null. deliveryEndpoint (String.t): The physical location of this range assignment to be used for streaming computation cross-worker message delivery. Defaults to: null. deprecatedPersistentDirectory (String.t): DEPRECATED. The location of the persistent state for this range, as a persistent directory in the worker local filesystem. Defaults to: null. end (String.t): The end (exclusive) of the key range. Defaults to: null. start (String.t): The start (inclusive) of the key range. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.KeyRangeLocation.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.KeyRangeLocation.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.KeyRangeLocation","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.KeyRangeLocation.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.KeyRangeLocation.t/0","module":"GoogleApi.Dataflow.V1b3.Model.KeyRangeLocation","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.LaunchTemplateParameters.html","title":"GoogleApi.Dataflow.V1b3.Model.LaunchTemplateParameters","module":"GoogleApi.Dataflow.V1b3.Model.LaunchTemplateParameters","type":"module","doc":"Parameters to provide to the template being launched. Attributes parameters (%{optional(String.t) &#x3D;&gt; String.t}): The runtime parameters to pass to the job. Defaults to: null. environment (RuntimeEnvironment): The runtime environment for the job. Defaults to: null. jobName (String.t): Required. The job name to use for the created job. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.LaunchTemplateParameters.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.LaunchTemplateParameters.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.LaunchTemplateParameters","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.LaunchTemplateParameters.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.LaunchTemplateParameters.t/0","module":"GoogleApi.Dataflow.V1b3.Model.LaunchTemplateParameters","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.LaunchTemplateResponse.html","title":"GoogleApi.Dataflow.V1b3.Model.LaunchTemplateResponse","module":"GoogleApi.Dataflow.V1b3.Model.LaunchTemplateResponse","type":"module","doc":"Response to the request to launch a template. Attributes job (Job): The job that was launched, if the request was not a dry run and the job was successfully launched. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.LaunchTemplateResponse.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.LaunchTemplateResponse.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.LaunchTemplateResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.LaunchTemplateResponse.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.LaunchTemplateResponse.t/0","module":"GoogleApi.Dataflow.V1b3.Model.LaunchTemplateResponse","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.LeaseWorkItemRequest.html","title":"GoogleApi.Dataflow.V1b3.Model.LeaseWorkItemRequest","module":"GoogleApi.Dataflow.V1b3.Model.LeaseWorkItemRequest","type":"module","doc":"Request to lease WorkItems. Attributes currentWorkerTime (DateTime.t): The current timestamp at the worker. Defaults to: null. location (String.t): The [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) that contains the WorkItem&#39;s job. Defaults to: null. requestedLeaseDuration (String.t): The initial lease period. Defaults to: null. unifiedWorkerRequest (%{optional(String.t) &#x3D;&gt; String.t}): Untranslated bag-of-bytes WorkRequest from UnifiedWorker. Defaults to: null. workItemTypes ([String.t]): Filter for WorkItem type. Defaults to: null. workerCapabilities ([String.t]): Worker capabilities. WorkItems might be limited to workers with specific capabilities. Defaults to: null. workerId (String.t): Identifies the worker leasing work -- typically the ID of the virtual machine running the worker. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.LeaseWorkItemRequest.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.LeaseWorkItemRequest.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.LeaseWorkItemRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.LeaseWorkItemRequest.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.LeaseWorkItemRequest.t/0","module":"GoogleApi.Dataflow.V1b3.Model.LeaseWorkItemRequest","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.LeaseWorkItemResponse.html","title":"GoogleApi.Dataflow.V1b3.Model.LeaseWorkItemResponse","module":"GoogleApi.Dataflow.V1b3.Model.LeaseWorkItemResponse","type":"module","doc":"Response to a request to lease WorkItems. Attributes unifiedWorkerResponse (%{optional(String.t) &#x3D;&gt; String.t}): Untranslated bag-of-bytes WorkResponse for UnifiedWorker. Defaults to: null. workItems ([WorkItem]): A list of the leased WorkItems. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.LeaseWorkItemResponse.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.LeaseWorkItemResponse.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.LeaseWorkItemResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.LeaseWorkItemResponse.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.LeaseWorkItemResponse.t/0","module":"GoogleApi.Dataflow.V1b3.Model.LeaseWorkItemResponse","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.ListJobMessagesResponse.html","title":"GoogleApi.Dataflow.V1b3.Model.ListJobMessagesResponse","module":"GoogleApi.Dataflow.V1b3.Model.ListJobMessagesResponse","type":"module","doc":"Response to a request to list job messages. Attributes autoscalingEvents ([AutoscalingEvent]): Autoscaling events in ascending timestamp order. Defaults to: null. jobMessages ([JobMessage]): Messages in ascending timestamp order. Defaults to: null. nextPageToken (String.t): The token to obtain the next page of results if there are more. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.ListJobMessagesResponse.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.ListJobMessagesResponse.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.ListJobMessagesResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.ListJobMessagesResponse.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.ListJobMessagesResponse.t/0","module":"GoogleApi.Dataflow.V1b3.Model.ListJobMessagesResponse","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.ListJobsResponse.html","title":"GoogleApi.Dataflow.V1b3.Model.ListJobsResponse","module":"GoogleApi.Dataflow.V1b3.Model.ListJobsResponse","type":"module","doc":"Response to a request to list Cloud Dataflow jobs. This may be a partial response, depending on the page size in the ListJobsRequest. Attributes failedLocation ([FailedLocation]): Zero or more messages describing the [regional endpoints] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) that failed to respond. Defaults to: null. jobs ([Job]): A subset of the requested job information. Defaults to: null. nextPageToken (String.t): Set if there may be more results than fit in this response. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.ListJobsResponse.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.ListJobsResponse.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.ListJobsResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.ListJobsResponse.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.ListJobsResponse.t/0","module":"GoogleApi.Dataflow.V1b3.Model.ListJobsResponse","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.MapTask.html","title":"GoogleApi.Dataflow.V1b3.Model.MapTask","module":"GoogleApi.Dataflow.V1b3.Model.MapTask","type":"module","doc":"MapTask consists of an ordered set of instructions, each of which describes one particular low-level operation for the worker to perform in order to accomplish the MapTask&#39;s WorkItem. Each instruction must appear in the list before any instructions which depends on its output. Attributes counterPrefix (String.t): Counter prefix that can be used to prefix counters. Not currently used in Dataflow. Defaults to: null. instructions ([ParallelInstruction]): The instructions in the MapTask. Defaults to: null. stageName (String.t): System-defined name of the stage containing this MapTask. Unique across the workflow. Defaults to: null. systemName (String.t): System-defined name of this MapTask. Unique across the workflow. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.MapTask.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.MapTask.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.MapTask","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.MapTask.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.MapTask.t/0","module":"GoogleApi.Dataflow.V1b3.Model.MapTask","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.MetricShortId.html","title":"GoogleApi.Dataflow.V1b3.Model.MetricShortId","module":"GoogleApi.Dataflow.V1b3.Model.MetricShortId","type":"module","doc":"The metric short id is returned to the user alongside an offset into ReportWorkItemStatusRequest Attributes metricIndex (integer()): The index of the corresponding metric in the ReportWorkItemStatusRequest. Required. Defaults to: null. shortId (String.t): The service-generated short identifier for the metric. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.MetricShortId.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.MetricShortId.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.MetricShortId","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.MetricShortId.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.MetricShortId.t/0","module":"GoogleApi.Dataflow.V1b3.Model.MetricShortId","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.MetricStructuredName.html","title":"GoogleApi.Dataflow.V1b3.Model.MetricStructuredName","module":"GoogleApi.Dataflow.V1b3.Model.MetricStructuredName","type":"module","doc":"Identifies a metric, by describing the source which generated the metric. Attributes context (%{optional(String.t) &#x3D;&gt; String.t}): Zero or more labeled fields which identify the part of the job this metric is associated with, such as the name of a step or collection. For example, built-in counters associated with steps will have context[&#39;step&#39;] &#x3D; &lt;step-name&gt;. Counters associated with PCollections in the SDK will have context[&#39;pcollection&#39;] &#x3D; &lt;pcollection-name&gt;. Defaults to: null. name (String.t): Worker-defined metric name. Defaults to: null. origin (String.t): Origin (namespace) of metric name. May be blank for user-define metrics; will be &quot;dataflow&quot; for metrics defined by the Dataflow service or SDK. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.MetricStructuredName.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.MetricStructuredName.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.MetricStructuredName","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.MetricStructuredName.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.MetricStructuredName.t/0","module":"GoogleApi.Dataflow.V1b3.Model.MetricStructuredName","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.MetricUpdate.html","title":"GoogleApi.Dataflow.V1b3.Model.MetricUpdate","module":"GoogleApi.Dataflow.V1b3.Model.MetricUpdate","type":"module","doc":"Describes the state of a metric. Attributes cumulative (boolean()): True if this metric is reported as the total cumulative aggregate value accumulated since the worker started working on this WorkItem. By default this is false, indicating that this metric is reported as a delta that is not associated with any WorkItem. Defaults to: null. distribution (String.t): A struct value describing properties of a distribution of numeric values. Defaults to: null. gauge (String.t): A struct value describing properties of a Gauge. Metrics of gauge type show the value of a metric across time, and is aggregated based on the newest value. Defaults to: null. internal (String.t): Worker-computed aggregate value for internal use by the Dataflow service. Defaults to: null. kind (String.t): Metric aggregation kind. The possible metric aggregation kinds are &quot;Sum&quot;, &quot;Max&quot;, &quot;Min&quot;, &quot;Mean&quot;, &quot;Set&quot;, &quot;And&quot;, &quot;Or&quot;, and &quot;Distribution&quot;. The specified aggregation kind is case-insensitive. If omitted, this is not an aggregated value but instead a single metric sample value. Defaults to: null. meanCount (String.t): Worker-computed aggregate value for the &quot;Mean&quot; aggregation kind. This holds the count of the aggregated values and is used in combination with mean_sum above to obtain the actual mean aggregate value. The only possible value type is Long. Defaults to: null. meanSum (String.t): Worker-computed aggregate value for the &quot;Mean&quot; aggregation kind. This holds the sum of the aggregated values and is used in combination with mean_count below to obtain the actual mean aggregate value. The only possible value types are Long and Double. Defaults to: null. name (MetricStructuredName): Name of the metric. Defaults to: null. scalar (String.t): Worker-computed aggregate value for aggregation kinds &quot;Sum&quot;, &quot;Max&quot;, &quot;Min&quot;, &quot;And&quot;, and &quot;Or&quot;. The possible value types are Long, Double, and Boolean. Defaults to: null. set (String.t): Worker-computed aggregate value for the &quot;Set&quot; aggregation kind. The only possible value type is a list of Values whose type can be Long, Double, or String, according to the metric&#39;s type. All Values in the list must be of the same type. Defaults to: null. updateTime (DateTime.t): Timestamp associated with the metric value. Optional when workers are reporting work progress; it will be filled in responses from the metrics API. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.MetricUpdate.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.MetricUpdate.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.MetricUpdate","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.MetricUpdate.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.MetricUpdate.t/0","module":"GoogleApi.Dataflow.V1b3.Model.MetricUpdate","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.MountedDataDisk.html","title":"GoogleApi.Dataflow.V1b3.Model.MountedDataDisk","module":"GoogleApi.Dataflow.V1b3.Model.MountedDataDisk","type":"module","doc":"Describes mounted data disk. Attributes dataDisk (String.t): The name of the data disk. This name is local to the Google Cloud Platform project and uniquely identifies the disk within that project, for example &quot;myproject-1014-104817-4c2-harness-0-disk-1&quot;. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.MountedDataDisk.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.MountedDataDisk.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.MountedDataDisk","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.MountedDataDisk.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.MountedDataDisk.t/0","module":"GoogleApi.Dataflow.V1b3.Model.MountedDataDisk","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.MultiOutputInfo.html","title":"GoogleApi.Dataflow.V1b3.Model.MultiOutputInfo","module":"GoogleApi.Dataflow.V1b3.Model.MultiOutputInfo","type":"module","doc":"Information about an output of a multi-output DoFn. Attributes tag (String.t): The id of the tag the user code will emit to this output by; this should correspond to the tag of some SideInputInfo. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.MultiOutputInfo.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.MultiOutputInfo.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.MultiOutputInfo","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.MultiOutputInfo.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.MultiOutputInfo.t/0","module":"GoogleApi.Dataflow.V1b3.Model.MultiOutputInfo","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.NameAndKind.html","title":"GoogleApi.Dataflow.V1b3.Model.NameAndKind","module":"GoogleApi.Dataflow.V1b3.Model.NameAndKind","type":"module","doc":"Basic metadata about a counter. Attributes kind (String.t): Counter aggregation kind. Defaults to: null. Enum - one of [INVALID, SUM, MAX, MIN, MEAN, OR, AND, SET, DISTRIBUTION, LATEST_VALUE] name (String.t): Name of the counter. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.NameAndKind.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.NameAndKind.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.NameAndKind","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.NameAndKind.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.NameAndKind.t/0","module":"GoogleApi.Dataflow.V1b3.Model.NameAndKind","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.Package.html","title":"GoogleApi.Dataflow.V1b3.Model.Package","module":"GoogleApi.Dataflow.V1b3.Model.Package","type":"module","doc":"The packages that must be installed in order for a worker to run the steps of the Cloud Dataflow job that will be assigned to its worker pool. This is the mechanism by which the Cloud Dataflow SDK causes code to be loaded onto the workers. For example, the Cloud Dataflow Java SDK might use this to install jars containing the user&#39;s code and all of the various dependencies (libraries, data files, etc.) required in order for that code to run. Attributes location (String.t): The resource to read the package from. The supported resource type is: Google Cloud Storage: storage.googleapis.com/{bucket} bucket.storage.googleapis.com/ Defaults to: null. name (String.t): The name of the package. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.Package.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.Package.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.Package","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.Package.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.Package.t/0","module":"GoogleApi.Dataflow.V1b3.Model.Package","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.ParDoInstruction.html","title":"GoogleApi.Dataflow.V1b3.Model.ParDoInstruction","module":"GoogleApi.Dataflow.V1b3.Model.ParDoInstruction","type":"module","doc":"An instruction that does a ParDo operation. Takes one main input and zero or more side inputs, and produces zero or more outputs. Runs user code. Attributes input (InstructionInput): The input. Defaults to: null. multiOutputInfos ([MultiOutputInfo]): Information about each of the outputs, if user_fn is a MultiDoFn. Defaults to: null. numOutputs (integer()): The number of outputs. Defaults to: null. sideInputs ([SideInputInfo]): Zero or more side inputs. Defaults to: null. userFn (%{optional(String.t) &#x3D;&gt; String.t}): The user function to invoke. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.ParDoInstruction.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.ParDoInstruction.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.ParDoInstruction","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.ParDoInstruction.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.ParDoInstruction.t/0","module":"GoogleApi.Dataflow.V1b3.Model.ParDoInstruction","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.ParallelInstruction.html","title":"GoogleApi.Dataflow.V1b3.Model.ParallelInstruction","module":"GoogleApi.Dataflow.V1b3.Model.ParallelInstruction","type":"module","doc":"Describes a particular operation comprising a MapTask. Attributes flatten (FlattenInstruction): Additional information for Flatten instructions. Defaults to: null. name (String.t): User-provided name of this operation. Defaults to: null. originalName (String.t): System-defined name for the operation in the original workflow graph. Defaults to: null. outputs ([InstructionOutput]): Describes the outputs of the instruction. Defaults to: null. parDo (ParDoInstruction): Additional information for ParDo instructions. Defaults to: null. partialGroupByKey (PartialGroupByKeyInstruction): Additional information for PartialGroupByKey instructions. Defaults to: null. read (ReadInstruction): Additional information for Read instructions. Defaults to: null. systemName (String.t): System-defined name of this operation. Unique across the workflow. Defaults to: null. write (WriteInstruction): Additional information for Write instructions. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.ParallelInstruction.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.ParallelInstruction.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.ParallelInstruction","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.ParallelInstruction.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.ParallelInstruction.t/0","module":"GoogleApi.Dataflow.V1b3.Model.ParallelInstruction","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.Parameter.html","title":"GoogleApi.Dataflow.V1b3.Model.Parameter","module":"GoogleApi.Dataflow.V1b3.Model.Parameter","type":"module","doc":"Structured data associated with this message. Attributes key (String.t): Key or name for this parameter. Defaults to: null. value (String.t): Value for this parameter. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.Parameter.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.Parameter.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.Parameter","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.Parameter.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.Parameter.t/0","module":"GoogleApi.Dataflow.V1b3.Model.Parameter","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.ParameterMetadata.html","title":"GoogleApi.Dataflow.V1b3.Model.ParameterMetadata","module":"GoogleApi.Dataflow.V1b3.Model.ParameterMetadata","type":"module","doc":"Metadata for a specific parameter. Attributes helpText (String.t): Required. The help text to display for the parameter. Defaults to: null. isOptional (boolean()): Optional. Whether the parameter is optional. Defaults to false. Defaults to: null. label (String.t): Required. The label to display for the parameter. Defaults to: null. name (String.t): Required. The name of the parameter. Defaults to: null. regexes ([String.t]): Optional. Regexes that the parameter must match. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.ParameterMetadata.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.ParameterMetadata.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.ParameterMetadata","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.ParameterMetadata.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.ParameterMetadata.t/0","module":"GoogleApi.Dataflow.V1b3.Model.ParameterMetadata","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.PartialGroupByKeyInstruction.html","title":"GoogleApi.Dataflow.V1b3.Model.PartialGroupByKeyInstruction","module":"GoogleApi.Dataflow.V1b3.Model.PartialGroupByKeyInstruction","type":"module","doc":"An instruction that does a partial group-by-key. One input and one output. Attributes input (InstructionInput): Describes the input to the partial group-by-key instruction. Defaults to: null. inputElementCodec (%{optional(String.t) &#x3D;&gt; String.t}): The codec to use for interpreting an element in the input PTable. Defaults to: null. originalCombineValuesInputStoreName (String.t): If this instruction includes a combining function this is the name of the intermediate store between the GBK and the CombineValues. Defaults to: null. originalCombineValuesStepName (String.t): If this instruction includes a combining function, this is the name of the CombineValues instruction lifted into this instruction. Defaults to: null. sideInputs ([SideInputInfo]): Zero or more side inputs. Defaults to: null. valueCombiningFn (%{optional(String.t) &#x3D;&gt; String.t}): The value combining function to invoke. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.PartialGroupByKeyInstruction.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.PartialGroupByKeyInstruction.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.PartialGroupByKeyInstruction","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.PartialGroupByKeyInstruction.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.PartialGroupByKeyInstruction.t/0","module":"GoogleApi.Dataflow.V1b3.Model.PartialGroupByKeyInstruction","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.PipelineDescription.html","title":"GoogleApi.Dataflow.V1b3.Model.PipelineDescription","module":"GoogleApi.Dataflow.V1b3.Model.PipelineDescription","type":"module","doc":"A descriptive representation of submitted pipeline as well as the executed form. This data is provided by the Dataflow service for ease of visualizing the pipeline and interpreting Dataflow provided metrics. Attributes displayData ([DisplayData]): Pipeline level display data. Defaults to: null. executionPipelineStage ([ExecutionStageSummary]): Description of each stage of execution of the pipeline. Defaults to: null. originalPipelineTransform ([TransformSummary]): Description of each transform in the pipeline and collections between them. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.PipelineDescription.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.PipelineDescription.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.PipelineDescription","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.PipelineDescription.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.PipelineDescription.t/0","module":"GoogleApi.Dataflow.V1b3.Model.PipelineDescription","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.Position.html","title":"GoogleApi.Dataflow.V1b3.Model.Position","module":"GoogleApi.Dataflow.V1b3.Model.Position","type":"module","doc":"Position defines a position within a collection of data. The value can be either the end position, a key (used with ordered collections), a byte offset, or a record index. Attributes byteOffset (String.t): Position is a byte offset. Defaults to: null. concatPosition (ConcatPosition): CloudPosition is a concat position. Defaults to: null. end (boolean()): Position is past all other positions. Also useful for the end position of an unbounded range. Defaults to: null. key (String.t): Position is a string key, ordered lexicographically. Defaults to: null. recordIndex (String.t): Position is a record index. Defaults to: null. shufflePosition (String.t): CloudPosition is a base64 encoded BatchShufflePosition (with FIXED sharding). Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.Position.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.Position.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.Position","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.Position.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.Position.t/0","module":"GoogleApi.Dataflow.V1b3.Model.Position","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.PubSubIoDetails.html","title":"GoogleApi.Dataflow.V1b3.Model.PubSubIoDetails","module":"GoogleApi.Dataflow.V1b3.Model.PubSubIoDetails","type":"module","doc":"Metadata for a PubSub connector used by the job. Attributes subscription (String.t): Subscription used in the connection. Defaults to: null. topic (String.t): Topic accessed in the connection. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.PubSubIoDetails.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.PubSubIoDetails.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.PubSubIoDetails","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.PubSubIoDetails.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.PubSubIoDetails.t/0","module":"GoogleApi.Dataflow.V1b3.Model.PubSubIoDetails","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.PubsubLocation.html","title":"GoogleApi.Dataflow.V1b3.Model.PubsubLocation","module":"GoogleApi.Dataflow.V1b3.Model.PubsubLocation","type":"module","doc":"Identifies a pubsub location to use for transferring data into or out of a streaming Dataflow job. Attributes dropLateData (boolean()): Indicates whether the pipeline allows late-arriving data. Defaults to: null. idLabel (String.t): If set, contains a pubsub label from which to extract record ids. If left empty, record deduplication will be strictly best effort. Defaults to: null. subscription (String.t): A pubsub subscription, in the form of &quot;pubsub.googleapis.com/subscriptions/&lt;project-id&gt;/&lt;subscription-name&gt;&quot; Defaults to: null. timestampLabel (String.t): If set, contains a pubsub label from which to extract record timestamps. If left empty, record timestamps will be generated upon arrival. Defaults to: null. topic (String.t): A pubsub topic, in the form of &quot;pubsub.googleapis.com/topics/&lt;project-id&gt;/&lt;topic-name&gt;&quot; Defaults to: null. trackingSubscription (String.t): If set, specifies the pubsub subscription that will be used for tracking custom time timestamps for watermark estimation. Defaults to: null. withAttributes (boolean()): If true, then the client has requested to get pubsub attributes. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.PubsubLocation.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.PubsubLocation.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.PubsubLocation","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.PubsubLocation.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.PubsubLocation.t/0","module":"GoogleApi.Dataflow.V1b3.Model.PubsubLocation","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.ReadInstruction.html","title":"GoogleApi.Dataflow.V1b3.Model.ReadInstruction","module":"GoogleApi.Dataflow.V1b3.Model.ReadInstruction","type":"module","doc":"An instruction that reads records. Takes no inputs, produces one output. Attributes source (Source): The source to read from. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.ReadInstruction.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.ReadInstruction.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.ReadInstruction","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.ReadInstruction.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.ReadInstruction.t/0","module":"GoogleApi.Dataflow.V1b3.Model.ReadInstruction","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.ReportWorkItemStatusRequest.html","title":"GoogleApi.Dataflow.V1b3.Model.ReportWorkItemStatusRequest","module":"GoogleApi.Dataflow.V1b3.Model.ReportWorkItemStatusRequest","type":"module","doc":"Request to report the status of WorkItems. Attributes currentWorkerTime (DateTime.t): The current timestamp at the worker. Defaults to: null. location (String.t): The [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) that contains the WorkItem&#39;s job. Defaults to: null. unifiedWorkerRequest (%{optional(String.t) &#x3D;&gt; String.t}): Untranslated bag-of-bytes WorkProgressUpdateRequest from UnifiedWorker. Defaults to: null. workItemStatuses ([WorkItemStatus]): The order is unimportant, except that the order of the WorkItemServiceState messages in the ReportWorkItemStatusResponse corresponds to the order of WorkItemStatus messages here. Defaults to: null. workerId (String.t): The ID of the worker reporting the WorkItem status. If this does not match the ID of the worker which the Dataflow service believes currently has the lease on the WorkItem, the report will be dropped (with an error response). Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.ReportWorkItemStatusRequest.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.ReportWorkItemStatusRequest.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.ReportWorkItemStatusRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.ReportWorkItemStatusRequest.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.ReportWorkItemStatusRequest.t/0","module":"GoogleApi.Dataflow.V1b3.Model.ReportWorkItemStatusRequest","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.ReportWorkItemStatusResponse.html","title":"GoogleApi.Dataflow.V1b3.Model.ReportWorkItemStatusResponse","module":"GoogleApi.Dataflow.V1b3.Model.ReportWorkItemStatusResponse","type":"module","doc":"Response from a request to report the status of WorkItems. Attributes unifiedWorkerResponse (%{optional(String.t) &#x3D;&gt; String.t}): Untranslated bag-of-bytes WorkProgressUpdateResponse for UnifiedWorker. Defaults to: null. workItemServiceStates ([WorkItemServiceState]): A set of messages indicating the service-side state for each WorkItem whose status was reported, in the same order as the WorkItemStatus messages in the ReportWorkItemStatusRequest which resulting in this response. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.ReportWorkItemStatusResponse.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.ReportWorkItemStatusResponse.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.ReportWorkItemStatusResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.ReportWorkItemStatusResponse.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.ReportWorkItemStatusResponse.t/0","module":"GoogleApi.Dataflow.V1b3.Model.ReportWorkItemStatusResponse","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.ReportedParallelism.html","title":"GoogleApi.Dataflow.V1b3.Model.ReportedParallelism","module":"GoogleApi.Dataflow.V1b3.Model.ReportedParallelism","type":"module","doc":"Represents the level of parallelism in a WorkItem&#39;s input, reported by the worker. Attributes isInfinite (boolean()): Specifies whether the parallelism is infinite. If true, &quot;value&quot; is ignored. Infinite parallelism means the service will assume that the work item can always be split into more non-empty work items by dynamic splitting. This is a work-around for lack of support for infinity by the current JSON-based Java RPC stack. Defaults to: null. value (float()): Specifies the level of parallelism in case it is finite. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.ReportedParallelism.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.ReportedParallelism.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.ReportedParallelism","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.ReportedParallelism.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.ReportedParallelism.t/0","module":"GoogleApi.Dataflow.V1b3.Model.ReportedParallelism","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.ResourceUtilizationReport.html","title":"GoogleApi.Dataflow.V1b3.Model.ResourceUtilizationReport","module":"GoogleApi.Dataflow.V1b3.Model.ResourceUtilizationReport","type":"module","doc":"Worker metrics exported from workers. This contains resource utilization metrics accumulated from a variety of sources. For more information, see go/df-resource-signals. Attributes cpuTime ([CpuTime]): CPU utilization samples. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.ResourceUtilizationReport.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.ResourceUtilizationReport.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.ResourceUtilizationReport","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.ResourceUtilizationReport.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.ResourceUtilizationReport.t/0","module":"GoogleApi.Dataflow.V1b3.Model.ResourceUtilizationReport","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.ResourceUtilizationReportResponse.html","title":"GoogleApi.Dataflow.V1b3.Model.ResourceUtilizationReportResponse","module":"GoogleApi.Dataflow.V1b3.Model.ResourceUtilizationReportResponse","type":"module","doc":"Service-side response to WorkerMessage reporting resource utilization. Attributes"},{"ref":"GoogleApi.Dataflow.V1b3.Model.ResourceUtilizationReportResponse.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.ResourceUtilizationReportResponse.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.ResourceUtilizationReportResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.ResourceUtilizationReportResponse.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.ResourceUtilizationReportResponse.t/0","module":"GoogleApi.Dataflow.V1b3.Model.ResourceUtilizationReportResponse","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.RuntimeEnvironment.html","title":"GoogleApi.Dataflow.V1b3.Model.RuntimeEnvironment","module":"GoogleApi.Dataflow.V1b3.Model.RuntimeEnvironment","type":"module","doc":"The environment values to set at runtime. Attributes additionalExperiments ([String.t]): Additional experiment flags for the job. Defaults to: null. additionalUserLabels (%{optional(String.t) &#x3D;&gt; String.t}): Additional user labels attached to the job. Defaults to: null. bypassTempDirValidation (boolean()): Whether to bypass the safety checks for the job&#39;s temporary directory. Use with caution. Defaults to: null. machineType (String.t): The machine type to use for the job. Defaults to the value from the template if not specified. Defaults to: null. maxWorkers (integer()): The maximum number of Google Compute Engine instances to be made available to your pipeline during execution, from 1 to 1000. Defaults to: null. network (String.t): Network to which VMs will be assigned. If empty or unspecified, the service will use the network &quot;default&quot;. Defaults to: null. numWorkers (integer()): The initial number of Google Compute Engine instnaces for the job. Defaults to: null. serviceAccountEmail (String.t): The email address of the service account to run the job as. Defaults to: null. subnetwork (String.t): Subnetwork to which VMs will be assigned, if desired. Expected to be of the form &quot;regions/REGION/subnetworks/SUBNETWORK&quot;. Defaults to: null. tempLocation (String.t): The Cloud Storage path to use for temporary files. Must be a valid Cloud Storage URL, beginning with &#x60;gs://&#x60;. Defaults to: null. zone (String.t): The Compute Engine availability zone for launching worker instances to run your pipeline. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.RuntimeEnvironment.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.RuntimeEnvironment.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.RuntimeEnvironment","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.RuntimeEnvironment.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.RuntimeEnvironment.t/0","module":"GoogleApi.Dataflow.V1b3.Model.RuntimeEnvironment","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.SdkVersion.html","title":"GoogleApi.Dataflow.V1b3.Model.SdkVersion","module":"GoogleApi.Dataflow.V1b3.Model.SdkVersion","type":"module","doc":"The version of the SDK used to run the job. Attributes sdkSupportStatus (String.t): The support status for this SDK version. Defaults to: null. Enum - one of [UNKNOWN, SUPPORTED, STALE, DEPRECATED, UNSUPPORTED] version (String.t): The version of the SDK used to run the job. Defaults to: null. versionDisplayName (String.t): A readable string describing the version of the SDK. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.SdkVersion.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.SdkVersion.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.SdkVersion","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.SdkVersion.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.SdkVersion.t/0","module":"GoogleApi.Dataflow.V1b3.Model.SdkVersion","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.SendDebugCaptureRequest.html","title":"GoogleApi.Dataflow.V1b3.Model.SendDebugCaptureRequest","module":"GoogleApi.Dataflow.V1b3.Model.SendDebugCaptureRequest","type":"module","doc":"Request to send encoded debug information. Attributes componentId (String.t): The internal component id for which debug information is sent. Defaults to: null. data (String.t): The encoded debug information. Defaults to: null. location (String.t): The [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) that contains the job specified by job_id. Defaults to: null. workerId (String.t): The worker id, i.e., VM hostname. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.SendDebugCaptureRequest.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.SendDebugCaptureRequest.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.SendDebugCaptureRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.SendDebugCaptureRequest.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.SendDebugCaptureRequest.t/0","module":"GoogleApi.Dataflow.V1b3.Model.SendDebugCaptureRequest","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.SendDebugCaptureResponse.html","title":"GoogleApi.Dataflow.V1b3.Model.SendDebugCaptureResponse","module":"GoogleApi.Dataflow.V1b3.Model.SendDebugCaptureResponse","type":"module","doc":"Response to a send capture request. nothing Attributes"},{"ref":"GoogleApi.Dataflow.V1b3.Model.SendDebugCaptureResponse.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.SendDebugCaptureResponse.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.SendDebugCaptureResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.SendDebugCaptureResponse.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.SendDebugCaptureResponse.t/0","module":"GoogleApi.Dataflow.V1b3.Model.SendDebugCaptureResponse","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.SendWorkerMessagesRequest.html","title":"GoogleApi.Dataflow.V1b3.Model.SendWorkerMessagesRequest","module":"GoogleApi.Dataflow.V1b3.Model.SendWorkerMessagesRequest","type":"module","doc":"A request for sending worker messages to the service. Attributes location (String.t): The [regional endpoint] (https://cloud.google.com/dataflow/docs/concepts/regional-endpoints) that contains the job. Defaults to: null. workerMessages ([WorkerMessage]): The WorkerMessages to send. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.SendWorkerMessagesRequest.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.SendWorkerMessagesRequest.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.SendWorkerMessagesRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.SendWorkerMessagesRequest.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.SendWorkerMessagesRequest.t/0","module":"GoogleApi.Dataflow.V1b3.Model.SendWorkerMessagesRequest","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.SendWorkerMessagesResponse.html","title":"GoogleApi.Dataflow.V1b3.Model.SendWorkerMessagesResponse","module":"GoogleApi.Dataflow.V1b3.Model.SendWorkerMessagesResponse","type":"module","doc":"The response to the worker messages. Attributes workerMessageResponses ([WorkerMessageResponse]): The servers response to the worker messages. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.SendWorkerMessagesResponse.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.SendWorkerMessagesResponse.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.SendWorkerMessagesResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.SendWorkerMessagesResponse.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.SendWorkerMessagesResponse.t/0","module":"GoogleApi.Dataflow.V1b3.Model.SendWorkerMessagesResponse","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.SeqMapTask.html","title":"GoogleApi.Dataflow.V1b3.Model.SeqMapTask","module":"GoogleApi.Dataflow.V1b3.Model.SeqMapTask","type":"module","doc":"Describes a particular function to invoke. Attributes inputs ([SideInputInfo]): Information about each of the inputs. Defaults to: null. name (String.t): The user-provided name of the SeqDo operation. Defaults to: null. outputInfos ([SeqMapTaskOutputInfo]): Information about each of the outputs. Defaults to: null. stageName (String.t): System-defined name of the stage containing the SeqDo operation. Unique across the workflow. Defaults to: null. systemName (String.t): System-defined name of the SeqDo operation. Unique across the workflow. Defaults to: null. userFn (%{optional(String.t) &#x3D;&gt; String.t}): The user function to invoke. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.SeqMapTask.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.SeqMapTask.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.SeqMapTask","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.SeqMapTask.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.SeqMapTask.t/0","module":"GoogleApi.Dataflow.V1b3.Model.SeqMapTask","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.SeqMapTaskOutputInfo.html","title":"GoogleApi.Dataflow.V1b3.Model.SeqMapTaskOutputInfo","module":"GoogleApi.Dataflow.V1b3.Model.SeqMapTaskOutputInfo","type":"module","doc":"Information about an output of a SeqMapTask. Attributes sink (Sink): The sink to write the output value to. Defaults to: null. tag (String.t): The id of the TupleTag the user code will tag the output value by. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.SeqMapTaskOutputInfo.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.SeqMapTaskOutputInfo.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.SeqMapTaskOutputInfo","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.SeqMapTaskOutputInfo.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.SeqMapTaskOutputInfo.t/0","module":"GoogleApi.Dataflow.V1b3.Model.SeqMapTaskOutputInfo","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.ShellTask.html","title":"GoogleApi.Dataflow.V1b3.Model.ShellTask","module":"GoogleApi.Dataflow.V1b3.Model.ShellTask","type":"module","doc":"A task which consists of a shell command for the worker to execute. Attributes command (String.t): The shell command to run. Defaults to: null. exitCode (integer()): Exit code for the task. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.ShellTask.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.ShellTask.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.ShellTask","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.ShellTask.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.ShellTask.t/0","module":"GoogleApi.Dataflow.V1b3.Model.ShellTask","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.SideInputInfo.html","title":"GoogleApi.Dataflow.V1b3.Model.SideInputInfo","module":"GoogleApi.Dataflow.V1b3.Model.SideInputInfo","type":"module","doc":"Information about a side input of a DoFn or an input of a SeqDoFn. Attributes kind (%{optional(String.t) &#x3D;&gt; String.t}): How to interpret the source element(s) as a side input value. Defaults to: null. sources ([Source]): The source(s) to read element(s) from to get the value of this side input. If more than one source, then the elements are taken from the sources, in the specified order if order matters. At least one source is required. Defaults to: null. tag (String.t): The id of the tag the user code will access this side input by; this should correspond to the tag of some MultiOutputInfo. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.SideInputInfo.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.SideInputInfo.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.SideInputInfo","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.SideInputInfo.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.SideInputInfo.t/0","module":"GoogleApi.Dataflow.V1b3.Model.SideInputInfo","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.Sink.html","title":"GoogleApi.Dataflow.V1b3.Model.Sink","module":"GoogleApi.Dataflow.V1b3.Model.Sink","type":"module","doc":"A sink that records can be encoded and written to. Attributes codec (%{optional(String.t) &#x3D;&gt; String.t}): The codec to use to encode data written to the sink. Defaults to: null. spec (%{optional(String.t) &#x3D;&gt; String.t}): The sink to write to, plus its parameters. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.Sink.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.Sink.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.Sink","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.Sink.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.Sink.t/0","module":"GoogleApi.Dataflow.V1b3.Model.Sink","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.Snapshot.html","title":"GoogleApi.Dataflow.V1b3.Model.Snapshot","module":"GoogleApi.Dataflow.V1b3.Model.Snapshot","type":"module","doc":"Represents a snapshot of a job. Attributes creationTime (DateTime.t): The time this snapshot was created. Defaults to: null. id (String.t): The unique ID of this snapshot. Defaults to: null. projectId (String.t): The project this snapshot belongs to. Defaults to: null. sourceJobId (String.t): The job this snapshot was created from. Defaults to: null. ttl (String.t): The time after which this snapshot will be automatically deleted. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.Snapshot.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.Snapshot.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.Snapshot","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.Snapshot.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.Snapshot.t/0","module":"GoogleApi.Dataflow.V1b3.Model.Snapshot","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.SnapshotJobRequest.html","title":"GoogleApi.Dataflow.V1b3.Model.SnapshotJobRequest","module":"GoogleApi.Dataflow.V1b3.Model.SnapshotJobRequest","type":"module","doc":"Request to create a snapshot of a job. Attributes location (String.t): The location that contains this job. Defaults to: null. ttl (String.t): TTL for the snapshot. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.SnapshotJobRequest.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.SnapshotJobRequest.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.SnapshotJobRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.SnapshotJobRequest.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.SnapshotJobRequest.t/0","module":"GoogleApi.Dataflow.V1b3.Model.SnapshotJobRequest","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.Source.html","title":"GoogleApi.Dataflow.V1b3.Model.Source","module":"GoogleApi.Dataflow.V1b3.Model.Source","type":"module","doc":"A source that records can be read and decoded from. Attributes baseSpecs ([Object]): While splitting, sources may specify the produced bundles as differences against another source, in order to save backend-side memory and allow bigger jobs. For details, see SourceSplitRequest. To support this use case, the full set of parameters of the source is logically obtained by taking the latest explicitly specified value of each parameter in the order: base_specs (later items win), spec (overrides anything in base_specs). Defaults to: null. codec (%{optional(String.t) &#x3D;&gt; String.t}): The codec to use to decode data read from the source. Defaults to: null. doesNotNeedSplitting (boolean()): Setting this value to true hints to the framework that the source doesn&#39;t need splitting, and using SourceSplitRequest on it would yield SOURCE_SPLIT_OUTCOME_USE_CURRENT. E.g. a file splitter may set this to true when splitting a single file into a set of byte ranges of appropriate size, and set this to false when splitting a filepattern into individual files. However, for efficiency, a file splitter may decide to produce file subranges directly from the filepattern to avoid a splitting round-trip. See SourceSplitRequest for an overview of the splitting process. This field is meaningful only in the Source objects populated by the user (e.g. when filling in a DerivedSource). Source objects supplied by the framework to the user don&#39;t have this field populated. Defaults to: null. metadata (SourceMetadata): Optionally, metadata for this source can be supplied right away, avoiding a SourceGetMetadataOperation roundtrip (see SourceOperationRequest). This field is meaningful only in the Source objects populated by the user (e.g. when filling in a DerivedSource). Source objects supplied by the framework to the user don&#39;t have this field populated. Defaults to: null. spec (%{optional(String.t) &#x3D;&gt; String.t}): The source to read from, plus its parameters. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.Source.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.Source.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.Source","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.Source.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.Source.t/0","module":"GoogleApi.Dataflow.V1b3.Model.Source","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.SourceFork.html","title":"GoogleApi.Dataflow.V1b3.Model.SourceFork","module":"GoogleApi.Dataflow.V1b3.Model.SourceFork","type":"module","doc":"DEPRECATED in favor of DynamicSourceSplit. Attributes primary (SourceSplitShard): DEPRECATED Defaults to: null. primarySource (DerivedSource): DEPRECATED Defaults to: null. residual (SourceSplitShard): DEPRECATED Defaults to: null. residualSource (DerivedSource): DEPRECATED Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.SourceFork.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.SourceFork.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.SourceFork","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.SourceFork.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.SourceFork.t/0","module":"GoogleApi.Dataflow.V1b3.Model.SourceFork","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.SourceGetMetadataRequest.html","title":"GoogleApi.Dataflow.V1b3.Model.SourceGetMetadataRequest","module":"GoogleApi.Dataflow.V1b3.Model.SourceGetMetadataRequest","type":"module","doc":"A request to compute the SourceMetadata of a Source. Attributes source (Source): Specification of the source whose metadata should be computed. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.SourceGetMetadataRequest.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.SourceGetMetadataRequest.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.SourceGetMetadataRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.SourceGetMetadataRequest.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.SourceGetMetadataRequest.t/0","module":"GoogleApi.Dataflow.V1b3.Model.SourceGetMetadataRequest","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.SourceGetMetadataResponse.html","title":"GoogleApi.Dataflow.V1b3.Model.SourceGetMetadataResponse","module":"GoogleApi.Dataflow.V1b3.Model.SourceGetMetadataResponse","type":"module","doc":"The result of a SourceGetMetadataOperation. Attributes metadata (SourceMetadata): The computed metadata. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.SourceGetMetadataResponse.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.SourceGetMetadataResponse.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.SourceGetMetadataResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.SourceGetMetadataResponse.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.SourceGetMetadataResponse.t/0","module":"GoogleApi.Dataflow.V1b3.Model.SourceGetMetadataResponse","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.SourceMetadata.html","title":"GoogleApi.Dataflow.V1b3.Model.SourceMetadata","module":"GoogleApi.Dataflow.V1b3.Model.SourceMetadata","type":"module","doc":"Metadata about a Source useful for automatically optimizing and tuning the pipeline, etc. Attributes estimatedSizeBytes (String.t): An estimate of the total size (in bytes) of the data that would be read from this source. This estimate is in terms of external storage size, before any decompression or other processing done by the reader. Defaults to: null. infinite (boolean()): Specifies that the size of this source is known to be infinite (this is a streaming source). Defaults to: null. producesSortedKeys (boolean()): Whether this source is known to produce key/value pairs with the (encoded) keys in lexicographically sorted order. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.SourceMetadata.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.SourceMetadata.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.SourceMetadata","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.SourceMetadata.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.SourceMetadata.t/0","module":"GoogleApi.Dataflow.V1b3.Model.SourceMetadata","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.SourceOperationRequest.html","title":"GoogleApi.Dataflow.V1b3.Model.SourceOperationRequest","module":"GoogleApi.Dataflow.V1b3.Model.SourceOperationRequest","type":"module","doc":"A work item that represents the different operations that can be performed on a user-defined Source specification. Attributes getMetadata (SourceGetMetadataRequest): Information about a request to get metadata about a source. Defaults to: null. name (String.t): User-provided name of the Read instruction for this source. Defaults to: null. originalName (String.t): System-defined name for the Read instruction for this source in the original workflow graph. Defaults to: null. split (SourceSplitRequest): Information about a request to split a source. Defaults to: null. stageName (String.t): System-defined name of the stage containing the source operation. Unique across the workflow. Defaults to: null. systemName (String.t): System-defined name of the Read instruction for this source. Unique across the workflow. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.SourceOperationRequest.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.SourceOperationRequest.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.SourceOperationRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.SourceOperationRequest.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.SourceOperationRequest.t/0","module":"GoogleApi.Dataflow.V1b3.Model.SourceOperationRequest","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.SourceOperationResponse.html","title":"GoogleApi.Dataflow.V1b3.Model.SourceOperationResponse","module":"GoogleApi.Dataflow.V1b3.Model.SourceOperationResponse","type":"module","doc":"The result of a SourceOperationRequest, specified in ReportWorkItemStatusRequest.source_operation when the work item is completed. Attributes getMetadata (SourceGetMetadataResponse): A response to a request to get metadata about a source. Defaults to: null. split (SourceSplitResponse): A response to a request to split a source. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.SourceOperationResponse.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.SourceOperationResponse.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.SourceOperationResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.SourceOperationResponse.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.SourceOperationResponse.t/0","module":"GoogleApi.Dataflow.V1b3.Model.SourceOperationResponse","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.SourceSplitOptions.html","title":"GoogleApi.Dataflow.V1b3.Model.SourceSplitOptions","module":"GoogleApi.Dataflow.V1b3.Model.SourceSplitOptions","type":"module","doc":"Hints for splitting a Source into bundles (parts for parallel processing) using SourceSplitRequest. Attributes desiredBundleSizeBytes (String.t): The source should be split into a set of bundles where the estimated size of each is approximately this many bytes. Defaults to: null. desiredShardSizeBytes (String.t): DEPRECATED in favor of desired_bundle_size_bytes. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.SourceSplitOptions.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.SourceSplitOptions.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.SourceSplitOptions","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.SourceSplitOptions.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.SourceSplitOptions.t/0","module":"GoogleApi.Dataflow.V1b3.Model.SourceSplitOptions","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.SourceSplitRequest.html","title":"GoogleApi.Dataflow.V1b3.Model.SourceSplitRequest","module":"GoogleApi.Dataflow.V1b3.Model.SourceSplitRequest","type":"module","doc":"Represents the operation to split a high-level Source specification into bundles (parts for parallel processing). At a high level, splitting of a source into bundles happens as follows: SourceSplitRequest is applied to the source. If it returns SOURCE_SPLIT_OUTCOME_USE_CURRENT, no further splitting happens and the source is used &quot;as is&quot;. Otherwise, splitting is applied recursively to each produced DerivedSource. As an optimization, for any Source, if its does_not_need_splitting is true, the framework assumes that splitting this source would return SOURCE_SPLIT_OUTCOME_USE_CURRENT, and doesn&#39;t initiate a SourceSplitRequest. This applies both to the initial source being split and to bundles produced from it. Attributes options (SourceSplitOptions): Hints for tuning the splitting process. Defaults to: null. source (Source): Specification of the source to be split. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.SourceSplitRequest.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.SourceSplitRequest.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.SourceSplitRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.SourceSplitRequest.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.SourceSplitRequest.t/0","module":"GoogleApi.Dataflow.V1b3.Model.SourceSplitRequest","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.SourceSplitResponse.html","title":"GoogleApi.Dataflow.V1b3.Model.SourceSplitResponse","module":"GoogleApi.Dataflow.V1b3.Model.SourceSplitResponse","type":"module","doc":"The response to a SourceSplitRequest. Attributes bundles ([DerivedSource]): If outcome is SPLITTING_HAPPENED, then this is a list of bundles into which the source was split. Otherwise this field is ignored. This list can be empty, which means the source represents an empty input. Defaults to: null. outcome (String.t): Indicates whether splitting happened and produced a list of bundles. If this is USE_CURRENT_SOURCE_AS_IS, the current source should be processed &quot;as is&quot; without splitting. &quot;bundles&quot; is ignored in this case. If this is SPLITTING_HAPPENED, then &quot;bundles&quot; contains a list of bundles into which the source was split. Defaults to: null. Enum - one of [SOURCE_SPLIT_OUTCOME_UNKNOWN, SOURCE_SPLIT_OUTCOME_USE_CURRENT, SOURCE_SPLIT_OUTCOME_SPLITTING_HAPPENED] shards ([SourceSplitShard]): DEPRECATED in favor of bundles. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.SourceSplitResponse.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.SourceSplitResponse.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.SourceSplitResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.SourceSplitResponse.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.SourceSplitResponse.t/0","module":"GoogleApi.Dataflow.V1b3.Model.SourceSplitResponse","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.SourceSplitShard.html","title":"GoogleApi.Dataflow.V1b3.Model.SourceSplitShard","module":"GoogleApi.Dataflow.V1b3.Model.SourceSplitShard","type":"module","doc":"DEPRECATED in favor of DerivedSource. Attributes derivationMode (String.t): DEPRECATED Defaults to: null. Enum - one of [SOURCE_DERIVATION_MODE_UNKNOWN, SOURCE_DERIVATION_MODE_INDEPENDENT, SOURCE_DERIVATION_MODE_CHILD_OF_CURRENT, SOURCE_DERIVATION_MODE_SIBLING_OF_CURRENT] source (Source): DEPRECATED Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.SourceSplitShard.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.SourceSplitShard.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.SourceSplitShard","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.SourceSplitShard.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.SourceSplitShard.t/0","module":"GoogleApi.Dataflow.V1b3.Model.SourceSplitShard","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.SpannerIoDetails.html","title":"GoogleApi.Dataflow.V1b3.Model.SpannerIoDetails","module":"GoogleApi.Dataflow.V1b3.Model.SpannerIoDetails","type":"module","doc":"Metadata for a Spanner connector used by the job. Attributes databaseId (String.t): DatabaseId accessed in the connection. Defaults to: null. instanceId (String.t): InstanceId accessed in the connection. Defaults to: null. projectId (String.t): ProjectId accessed in the connection. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.SpannerIoDetails.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.SpannerIoDetails.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.SpannerIoDetails","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.SpannerIoDetails.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.SpannerIoDetails.t/0","module":"GoogleApi.Dataflow.V1b3.Model.SpannerIoDetails","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.SplitInt64.html","title":"GoogleApi.Dataflow.V1b3.Model.SplitInt64","module":"GoogleApi.Dataflow.V1b3.Model.SplitInt64","type":"module","doc":"A representation of an int64, n, that is immune to precision loss when encoded in JSON. Attributes highBits (integer()): The high order bits, including the sign: n &gt;&gt; 32. Defaults to: null. lowBits (integer()): The low order bits: n &amp; 0xffffffff. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.SplitInt64.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.SplitInt64.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.SplitInt64","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.SplitInt64.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.SplitInt64.t/0","module":"GoogleApi.Dataflow.V1b3.Model.SplitInt64","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.StageSource.html","title":"GoogleApi.Dataflow.V1b3.Model.StageSource","module":"GoogleApi.Dataflow.V1b3.Model.StageSource","type":"module","doc":"Description of an input or output of an execution stage. Attributes name (String.t): Dataflow service generated name for this source. Defaults to: null. originalTransformOrCollection (String.t): User name for the original user transform or collection with which this source is most closely associated. Defaults to: null. sizeBytes (String.t): Size of the source, if measurable. Defaults to: null. userName (String.t): Human-readable name for this source; may be user or system generated. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.StageSource.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.StageSource.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.StageSource","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.StageSource.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.StageSource.t/0","module":"GoogleApi.Dataflow.V1b3.Model.StageSource","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.StateFamilyConfig.html","title":"GoogleApi.Dataflow.V1b3.Model.StateFamilyConfig","module":"GoogleApi.Dataflow.V1b3.Model.StateFamilyConfig","type":"module","doc":"State family configuration. Attributes isRead (boolean()): If true, this family corresponds to a read operation. Defaults to: null. stateFamily (String.t): The state family value. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.StateFamilyConfig.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.StateFamilyConfig.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.StateFamilyConfig","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.StateFamilyConfig.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.StateFamilyConfig.t/0","module":"GoogleApi.Dataflow.V1b3.Model.StateFamilyConfig","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.Status.html","title":"GoogleApi.Dataflow.V1b3.Model.Status","module":"GoogleApi.Dataflow.V1b3.Model.Status","type":"module","doc":"The &#x60;Status&#x60; type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by gRPC. The error model is designed to be: - Simple to use and understand for most users - Flexible enough to meet unexpected needs # Overview The &#x60;Status&#x60; message contains three pieces of data: error code, error message, and error details. The error code should be an enum value of google.rpc.Code, but it may accept additional error codes if needed. The error message should be a developer-facing English message that helps developers understand and resolve the error. If a localized user-facing error message is needed, put the localized message in the error details or localize it in the client. The optional error details may contain arbitrary information about the error. There is a predefined set of error detail types in the package &#x60;google.rpc&#x60; that can be used for common error conditions. # Language mapping The &#x60;Status&#x60; message is the logical representation of the error model, but it is not necessarily the actual wire format. When the &#x60;Status&#x60; message is exposed in different client libraries and different wire protocols, it can be mapped differently. For example, it will likely be mapped to some exceptions in Java, but more likely mapped to some error codes in C. # Other uses The error model and the &#x60;Status&#x60; message can be used in a variety of environments, either with or without APIs, to provide a consistent developer experience across different environments. Example uses of this error model include: - Partial errors. If a service needs to return partial errors to the client, it may embed the &#x60;Status&#x60; in the normal response to indicate the partial errors. - Workflow errors. A typical workflow has multiple steps. Each step may have a &#x60;Status&#x60; message for error reporting. - Batch operations. If a client uses batch request and batch response, the &#x60;Status&#x60; message should be used directly inside batch response, one for each error sub-response. - Asynchronous operations. If an API call embeds asynchronous operation results in its response, the status of those operations should be represented directly using the &#x60;Status&#x60; message. - Logging. If some API errors are stored in logs, the message &#x60;Status&#x60; could be used directly after any stripping needed for security/privacy reasons. Attributes code (integer()): The status code, which should be an enum value of google.rpc.Code. Defaults to: null. details ([Object]): A list of messages that carry the error details. There is a common set of message types for APIs to use. Defaults to: null. message (String.t): A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.Status.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.Status.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.Status","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.Status.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.Status.t/0","module":"GoogleApi.Dataflow.V1b3.Model.Status","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.Step.html","title":"GoogleApi.Dataflow.V1b3.Model.Step","module":"GoogleApi.Dataflow.V1b3.Model.Step","type":"module","doc":"Defines a particular step within a Cloud Dataflow job. A job consists of multiple steps, each of which performs some specific operation as part of the overall job. Data is typically passed from one step to another as part of the job. Here&#39;s an example of a sequence of steps which together implement a Map-Reduce job: Read a collection of data from some source, parsing the collection&#39;s elements. Validate the elements. Apply a user-defined function to map each element to some value and extract an element-specific key value. Group elements with the same key into a single element with that key, transforming a multiply-keyed collection into a uniquely-keyed collection. * Write the elements out to some data sink. Note that the Cloud Dataflow service may be used to run many different types of jobs, not just Map-Reduce. Attributes kind (String.t): The kind of step in the Cloud Dataflow job. Defaults to: null. name (String.t): The name that identifies the step. This must be unique for each step with respect to all other steps in the Cloud Dataflow job. Defaults to: null. properties (%{optional(String.t) &#x3D;&gt; String.t}): Named properties associated with the step. Each kind of predefined step has its own required set of properties. Must be provided on Create. Only retrieved with JOB_VIEW_ALL. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.Step.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.Step.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.Step","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.Step.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.Step.t/0","module":"GoogleApi.Dataflow.V1b3.Model.Step","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.StreamLocation.html","title":"GoogleApi.Dataflow.V1b3.Model.StreamLocation","module":"GoogleApi.Dataflow.V1b3.Model.StreamLocation","type":"module","doc":"Describes a stream of data, either as input to be processed or as output of a streaming Dataflow job. Attributes customSourceLocation (CustomSourceLocation): The stream is a custom source. Defaults to: null. pubsubLocation (PubsubLocation): The stream is a pubsub stream. Defaults to: null. sideInputLocation (StreamingSideInputLocation): The stream is a streaming side input. Defaults to: null. streamingStageLocation (StreamingStageLocation): The stream is part of another computation within the current streaming Dataflow job. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.StreamLocation.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.StreamLocation.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.StreamLocation","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.StreamLocation.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.StreamLocation.t/0","module":"GoogleApi.Dataflow.V1b3.Model.StreamLocation","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.StreamingApplianceSnapshotConfig.html","title":"GoogleApi.Dataflow.V1b3.Model.StreamingApplianceSnapshotConfig","module":"GoogleApi.Dataflow.V1b3.Model.StreamingApplianceSnapshotConfig","type":"module","doc":"Streaming appliance snapshot configuration. Attributes importStateEndpoint (String.t): Indicates which endpoint is used to import appliance state. Defaults to: null. snapshotId (String.t): If set, indicates the snapshot id for the snapshot being performed. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.StreamingApplianceSnapshotConfig.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.StreamingApplianceSnapshotConfig.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.StreamingApplianceSnapshotConfig","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.StreamingApplianceSnapshotConfig.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.StreamingApplianceSnapshotConfig.t/0","module":"GoogleApi.Dataflow.V1b3.Model.StreamingApplianceSnapshotConfig","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.StreamingComputationConfig.html","title":"GoogleApi.Dataflow.V1b3.Model.StreamingComputationConfig","module":"GoogleApi.Dataflow.V1b3.Model.StreamingComputationConfig","type":"module","doc":"Configuration information for a single streaming computation. Attributes computationId (String.t): Unique identifier for this computation. Defaults to: null. instructions ([ParallelInstruction]): Instructions that comprise the computation. Defaults to: null. stageName (String.t): Stage name of this computation. Defaults to: null. systemName (String.t): System defined name for this computation. Defaults to: null. transformUserNameToStateFamily (%{optional(String.t) &#x3D;&gt; String.t}): Map from user name of stateful transforms in this stage to their state family. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.StreamingComputationConfig.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.StreamingComputationConfig.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.StreamingComputationConfig","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.StreamingComputationConfig.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.StreamingComputationConfig.t/0","module":"GoogleApi.Dataflow.V1b3.Model.StreamingComputationConfig","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.StreamingComputationRanges.html","title":"GoogleApi.Dataflow.V1b3.Model.StreamingComputationRanges","module":"GoogleApi.Dataflow.V1b3.Model.StreamingComputationRanges","type":"module","doc":"Describes full or partial data disk assignment information of the computation ranges. Attributes computationId (String.t): The ID of the computation. Defaults to: null. rangeAssignments ([KeyRangeDataDiskAssignment]): Data disk assignments for ranges from this computation. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.StreamingComputationRanges.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.StreamingComputationRanges.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.StreamingComputationRanges","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.StreamingComputationRanges.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.StreamingComputationRanges.t/0","module":"GoogleApi.Dataflow.V1b3.Model.StreamingComputationRanges","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.StreamingComputationTask.html","title":"GoogleApi.Dataflow.V1b3.Model.StreamingComputationTask","module":"GoogleApi.Dataflow.V1b3.Model.StreamingComputationTask","type":"module","doc":"A task which describes what action should be performed for the specified streaming computation ranges. Attributes computationRanges ([StreamingComputationRanges]): Contains ranges of a streaming computation this task should apply to. Defaults to: null. dataDisks ([MountedDataDisk]): Describes the set of data disks this task should apply to. Defaults to: null. taskType (String.t): A type of streaming computation task. Defaults to: null. Enum - one of [STREAMING_COMPUTATION_TASK_UNKNOWN, STREAMING_COMPUTATION_TASK_STOP, STREAMING_COMPUTATION_TASK_START]"},{"ref":"GoogleApi.Dataflow.V1b3.Model.StreamingComputationTask.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.StreamingComputationTask.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.StreamingComputationTask","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.StreamingComputationTask.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.StreamingComputationTask.t/0","module":"GoogleApi.Dataflow.V1b3.Model.StreamingComputationTask","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.StreamingConfigTask.html","title":"GoogleApi.Dataflow.V1b3.Model.StreamingConfigTask","module":"GoogleApi.Dataflow.V1b3.Model.StreamingConfigTask","type":"module","doc":"A task that carries configuration information for streaming computations. Attributes maxWorkItemCommitBytes (String.t): Maximum size for work item commit supported windmill storage layer. Defaults to: null. streamingComputationConfigs ([StreamingComputationConfig]): Set of computation configuration information. Defaults to: null. userStepToStateFamilyNameMap (%{optional(String.t) &#x3D;&gt; String.t}): Map from user step names to state families. Defaults to: null. windmillServiceEndpoint (String.t): If present, the worker must use this endpoint to communicate with Windmill Service dispatchers, otherwise the worker must continue to use whatever endpoint it had been using. Defaults to: null. windmillServicePort (String.t): If present, the worker must use this port to communicate with Windmill Service dispatchers. Only applicable when windmill_service_endpoint is specified. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.StreamingConfigTask.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.StreamingConfigTask.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.StreamingConfigTask","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.StreamingConfigTask.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.StreamingConfigTask.t/0","module":"GoogleApi.Dataflow.V1b3.Model.StreamingConfigTask","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.StreamingSetupTask.html","title":"GoogleApi.Dataflow.V1b3.Model.StreamingSetupTask","module":"GoogleApi.Dataflow.V1b3.Model.StreamingSetupTask","type":"module","doc":"A task which initializes part of a streaming Dataflow job. Attributes drain (boolean()): The user has requested drain. Defaults to: null. receiveWorkPort (integer()): The TCP port on which the worker should listen for messages from other streaming computation workers. Defaults to: null. snapshotConfig (StreamingApplianceSnapshotConfig): Configures streaming appliance snapshot. Defaults to: null. streamingComputationTopology (TopologyConfig): The global topology of the streaming Dataflow job. Defaults to: null. workerHarnessPort (integer()): The TCP port used by the worker to communicate with the Dataflow worker harness. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.StreamingSetupTask.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.StreamingSetupTask.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.StreamingSetupTask","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.StreamingSetupTask.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.StreamingSetupTask.t/0","module":"GoogleApi.Dataflow.V1b3.Model.StreamingSetupTask","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.StreamingSideInputLocation.html","title":"GoogleApi.Dataflow.V1b3.Model.StreamingSideInputLocation","module":"GoogleApi.Dataflow.V1b3.Model.StreamingSideInputLocation","type":"module","doc":"Identifies the location of a streaming side input. Attributes stateFamily (String.t): Identifies the state family where this side input is stored. Defaults to: null. tag (String.t): Identifies the particular side input within the streaming Dataflow job. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.StreamingSideInputLocation.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.StreamingSideInputLocation.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.StreamingSideInputLocation","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.StreamingSideInputLocation.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.StreamingSideInputLocation.t/0","module":"GoogleApi.Dataflow.V1b3.Model.StreamingSideInputLocation","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.StreamingStageLocation.html","title":"GoogleApi.Dataflow.V1b3.Model.StreamingStageLocation","module":"GoogleApi.Dataflow.V1b3.Model.StreamingStageLocation","type":"module","doc":"Identifies the location of a streaming computation stage, for stage-to-stage communication. Attributes streamId (String.t): Identifies the particular stream within the streaming Dataflow job. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.StreamingStageLocation.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.StreamingStageLocation.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.StreamingStageLocation","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.StreamingStageLocation.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.StreamingStageLocation.t/0","module":"GoogleApi.Dataflow.V1b3.Model.StreamingStageLocation","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.StringList.html","title":"GoogleApi.Dataflow.V1b3.Model.StringList","module":"GoogleApi.Dataflow.V1b3.Model.StringList","type":"module","doc":"A metric value representing a list of strings. Attributes elements ([String.t]): Elements of the list. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.StringList.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.StringList.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.StringList","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.StringList.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.StringList.t/0","module":"GoogleApi.Dataflow.V1b3.Model.StringList","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.StructuredMessage.html","title":"GoogleApi.Dataflow.V1b3.Model.StructuredMessage","module":"GoogleApi.Dataflow.V1b3.Model.StructuredMessage","type":"module","doc":"A rich message format, including a human readable string, a key for identifying the message, and structured data associated with the message for programmatic consumption. Attributes parameters ([Parameter]): The structured data associated with this message. Defaults to: null. messageKey (String.t): Identifier for this message type. Used by external systems to internationalize or personalize message. Defaults to: null. messageText (String.t): Human-readable version of message. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.StructuredMessage.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.StructuredMessage.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.StructuredMessage","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.StructuredMessage.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.StructuredMessage.t/0","module":"GoogleApi.Dataflow.V1b3.Model.StructuredMessage","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.TaskRunnerSettings.html","title":"GoogleApi.Dataflow.V1b3.Model.TaskRunnerSettings","module":"GoogleApi.Dataflow.V1b3.Model.TaskRunnerSettings","type":"module","doc":"Taskrunner configuration settings. Attributes alsologtostderr (boolean()): Whether to also send taskrunner log info to stderr. Defaults to: null. baseTaskDir (String.t): The location on the worker for task-specific subdirectories. Defaults to: null. baseUrl (String.t): The base URL for the taskrunner to use when accessing Google Cloud APIs. When workers access Google Cloud APIs, they logically do so via relative URLs. If this field is specified, it supplies the base URL to use for resolving these relative URLs. The normative algorithm used is defined by RFC 1808, &quot;Relative Uniform Resource Locators&quot;. If not specified, the default value is &quot;http://www.googleapis.com/&quot; Defaults to: null. commandlinesFileName (String.t): The file to store preprocessing commands in. Defaults to: null. continueOnException (boolean()): Whether to continue taskrunner if an exception is hit. Defaults to: null. dataflowApiVersion (String.t): The API version of endpoint, e.g. &quot;v1b3&quot; Defaults to: null. harnessCommand (String.t): The command to launch the worker harness. Defaults to: null. languageHint (String.t): The suggested backend language. Defaults to: null. logDir (String.t): The directory on the VM to store logs. Defaults to: null. logToSerialconsole (boolean()): Whether to send taskrunner log info to Google Compute Engine VM serial console. Defaults to: null. logUploadLocation (String.t): Indicates where to put logs. If this is not specified, the logs will not be uploaded. The supported resource type is: Google Cloud Storage: storage.googleapis.com/{bucket}/{object} bucket.storage.googleapis.com/{object} Defaults to: null. oauthScopes ([String.t]): The OAuth2 scopes to be requested by the taskrunner in order to access the Cloud Dataflow API. Defaults to: null. parallelWorkerSettings (WorkerSettings): The settings to pass to the parallel worker harness. Defaults to: null. streamingWorkerMainClass (String.t): The streaming worker main class name. Defaults to: null. taskGroup (String.t): The UNIX group ID on the worker VM to use for tasks launched by taskrunner; e.g. &quot;wheel&quot;. Defaults to: null. taskUser (String.t): The UNIX user ID on the worker VM to use for tasks launched by taskrunner; e.g. &quot;root&quot;. Defaults to: null. tempStoragePrefix (String.t): The prefix of the resources the taskrunner should use for temporary storage. The supported resource type is: Google Cloud Storage: storage.googleapis.com/{bucket}/{object} bucket.storage.googleapis.com/{object} Defaults to: null. vmId (String.t): The ID string of the VM. Defaults to: null. workflowFileName (String.t): The file to store the workflow in. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.TaskRunnerSettings.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.TaskRunnerSettings.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.TaskRunnerSettings","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.TaskRunnerSettings.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.TaskRunnerSettings.t/0","module":"GoogleApi.Dataflow.V1b3.Model.TaskRunnerSettings","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.TemplateMetadata.html","title":"GoogleApi.Dataflow.V1b3.Model.TemplateMetadata","module":"GoogleApi.Dataflow.V1b3.Model.TemplateMetadata","type":"module","doc":"Metadata describing a template. Attributes parameters ([ParameterMetadata]): The parameters for the template. Defaults to: null. description (String.t): Optional. A description of the template. Defaults to: null. name (String.t): Required. The name of the template. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.TemplateMetadata.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.TemplateMetadata.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.TemplateMetadata","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.TemplateMetadata.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.TemplateMetadata.t/0","module":"GoogleApi.Dataflow.V1b3.Model.TemplateMetadata","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.TopologyConfig.html","title":"GoogleApi.Dataflow.V1b3.Model.TopologyConfig","module":"GoogleApi.Dataflow.V1b3.Model.TopologyConfig","type":"module","doc":"Global topology of the streaming Dataflow job, including all computations and their sharded locations. Attributes computations ([ComputationTopology]): The computations associated with a streaming Dataflow job. Defaults to: null. dataDiskAssignments ([DataDiskAssignment]): The disks assigned to a streaming Dataflow job. Defaults to: null. forwardingKeyBits (integer()): The size (in bits) of keys that will be assigned to source messages. Defaults to: null. persistentStateVersion (integer()): Version number for persistent state. Defaults to: null. userStageToComputationNameMap (%{optional(String.t) &#x3D;&gt; String.t}): Maps user stage names to stable computation names. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.TopologyConfig.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.TopologyConfig.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.TopologyConfig","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.TopologyConfig.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.TopologyConfig.t/0","module":"GoogleApi.Dataflow.V1b3.Model.TopologyConfig","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.TransformSummary.html","title":"GoogleApi.Dataflow.V1b3.Model.TransformSummary","module":"GoogleApi.Dataflow.V1b3.Model.TransformSummary","type":"module","doc":"Description of the type, names/ids, and input/outputs for a transform. Attributes displayData ([DisplayData]): Transform-specific display data. Defaults to: null. id (String.t): SDK generated id of this transform instance. Defaults to: null. inputCollectionName ([String.t]): User names for all collection inputs to this transform. Defaults to: null. kind (String.t): Type of transform. Defaults to: null. Enum - one of [UNKNOWN_KIND, PAR_DO_KIND, GROUP_BY_KEY_KIND, FLATTEN_KIND, READ_KIND, WRITE_KIND, CONSTANT_KIND, SINGLETON_KIND, SHUFFLE_KIND] name (String.t): User provided name for this transform instance. Defaults to: null. outputCollectionName ([String.t]): User names for all collection outputs to this transform. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.TransformSummary.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.TransformSummary.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.TransformSummary","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.TransformSummary.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.TransformSummary.t/0","module":"GoogleApi.Dataflow.V1b3.Model.TransformSummary","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.WorkItem.html","title":"GoogleApi.Dataflow.V1b3.Model.WorkItem","module":"GoogleApi.Dataflow.V1b3.Model.WorkItem","type":"module","doc":"WorkItem represents basic information about a WorkItem to be executed in the cloud. Attributes configuration (String.t): Work item-specific configuration as an opaque blob. Defaults to: null. id (String.t): Identifies this WorkItem. Defaults to: null. initialReportIndex (String.t): The initial index to use when reporting the status of the WorkItem. Defaults to: null. jobId (String.t): Identifies the workflow job this WorkItem belongs to. Defaults to: null. leaseExpireTime (DateTime.t): Time when the lease on this Work will expire. Defaults to: null. mapTask (MapTask): Additional information for MapTask WorkItems. Defaults to: null. packages ([Package]): Any required packages that need to be fetched in order to execute this WorkItem. Defaults to: null. projectId (String.t): Identifies the cloud project this WorkItem belongs to. Defaults to: null. reportStatusInterval (String.t): Recommended reporting interval. Defaults to: null. seqMapTask (SeqMapTask): Additional information for SeqMapTask WorkItems. Defaults to: null. shellTask (ShellTask): Additional information for ShellTask WorkItems. Defaults to: null. sourceOperationTask (SourceOperationRequest): Additional information for source operation WorkItems. Defaults to: null. streamingComputationTask (StreamingComputationTask): Additional information for StreamingComputationTask WorkItems. Defaults to: null. streamingConfigTask (StreamingConfigTask): Additional information for StreamingConfigTask WorkItems. Defaults to: null. streamingSetupTask (StreamingSetupTask): Additional information for StreamingSetupTask WorkItems. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.WorkItem.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.WorkItem.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.WorkItem","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.WorkItem.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.WorkItem.t/0","module":"GoogleApi.Dataflow.V1b3.Model.WorkItem","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.WorkItemServiceState.html","title":"GoogleApi.Dataflow.V1b3.Model.WorkItemServiceState","module":"GoogleApi.Dataflow.V1b3.Model.WorkItemServiceState","type":"module","doc":"The Dataflow service&#39;s idea of the current state of a WorkItem being processed by a worker. Attributes harnessData (%{optional(String.t) &#x3D;&gt; String.t}): Other data returned by the service, specific to the particular worker harness. Defaults to: null. leaseExpireTime (DateTime.t): Time at which the current lease will expire. Defaults to: null. metricShortId ([MetricShortId]): The short ids that workers should use in subsequent metric updates. Workers should strive to use short ids whenever possible, but it is ok to request the short_id again if a worker lost track of it (e.g. if the worker is recovering from a crash). NOTE: it is possible that the response may have short ids for a subset of the metrics. Defaults to: null. nextReportIndex (String.t): The index value to use for the next report sent by the worker. Note: If the report call fails for whatever reason, the worker should reuse this index for subsequent report attempts. Defaults to: null. reportStatusInterval (String.t): New recommended reporting interval. Defaults to: null. splitRequest (ApproximateSplitRequest): The progress point in the WorkItem where the Dataflow service suggests that the worker truncate the task. Defaults to: null. suggestedStopPoint (ApproximateProgress): DEPRECATED in favor of split_request. Defaults to: null. suggestedStopPosition (Position): Obsolete, always empty. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.WorkItemServiceState.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.WorkItemServiceState.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.WorkItemServiceState","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.WorkItemServiceState.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.WorkItemServiceState.t/0","module":"GoogleApi.Dataflow.V1b3.Model.WorkItemServiceState","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.WorkItemStatus.html","title":"GoogleApi.Dataflow.V1b3.Model.WorkItemStatus","module":"GoogleApi.Dataflow.V1b3.Model.WorkItemStatus","type":"module","doc":"Conveys a worker&#39;s progress through the work described by a WorkItem. Attributes completed (boolean()): True if the WorkItem was completed (successfully or unsuccessfully). Defaults to: null. counterUpdates ([CounterUpdate]): Worker output counters for this WorkItem. Defaults to: null. dynamicSourceSplit (DynamicSourceSplit): See documentation of stop_position. Defaults to: null. errors ([Status]): Specifies errors which occurred during processing. If errors are provided, and completed &#x3D; true, then the WorkItem is considered to have failed. Defaults to: null. metricUpdates ([MetricUpdate]): DEPRECATED in favor of counter_updates. Defaults to: null. progress (ApproximateProgress): DEPRECATED in favor of reported_progress. Defaults to: null. reportIndex (String.t): The report index. When a WorkItem is leased, the lease will contain an initial report index. When a WorkItem&#39;s status is reported to the system, the report should be sent with that report index, and the response will contain the index the worker should use for the next report. Reports received with unexpected index values will be rejected by the service. In order to preserve idempotency, the worker should not alter the contents of a report, even if the worker must submit the same report multiple times before getting back a response. The worker should not submit a subsequent report until the response for the previous report had been received from the service. Defaults to: null. reportedProgress (ApproximateReportedProgress): The worker&#39;s progress through this WorkItem. Defaults to: null. requestedLeaseDuration (String.t): Amount of time the worker requests for its lease. Defaults to: null. sourceFork (SourceFork): DEPRECATED in favor of dynamic_source_split. Defaults to: null. sourceOperationResponse (SourceOperationResponse): If the work item represented a SourceOperationRequest, and the work is completed, contains the result of the operation. Defaults to: null. stopPosition (Position): A worker may split an active map task in two parts, &quot;primary&quot; and &quot;residual&quot;, continuing to process the primary part and returning the residual part into the pool of available work. This event is called a &quot;dynamic split&quot; and is critical to the dynamic work rebalancing feature. The two obtained sub-tasks are called &quot;parts&quot; of the split. The parts, if concatenated, must represent the same input as would be read by the current task if the split did not happen. The exact way in which the original task is decomposed into the two parts is specified either as a position demarcating them (stop_position), or explicitly as two DerivedSources, if this task consumes a user-defined source type (dynamic_source_split). The &quot;current&quot; task is adjusted as a result of the split: after a task with range [A, B) sends a stop_position update at C, its range is considered to be [A, C), e.g.: Progress should be interpreted relative to the new range, e.g. &quot;75% completed&quot; means &quot;75% of [A, C) completed&quot; The worker should interpret proposed_stop_position relative to the new range, e.g. &quot;split at 68%&quot; should be interpreted as &quot;split at 68% of [A, C)&quot;. If the worker chooses to split again using stop_position, only stop_positions in [A, C) will be accepted. Etc. dynamic_source_split has similar semantics: e.g., if a task with source S splits using dynamic_source_split into {P, R} (where P and R must be together equivalent to S), then subsequent progress and proposed_stop_position should be interpreted relative to P, and in a potential subsequent dynamic_source_split into {P&#39;, R&#39;}, P&#39; and R&#39; must be together equivalent to P, etc. Defaults to: null. totalThrottlerWaitTimeSeconds (float()): Total time the worker spent being throttled by external systems. Defaults to: null. workItemId (String.t): Identifies the WorkItem. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.WorkItemStatus.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.WorkItemStatus.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.WorkItemStatus","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.WorkItemStatus.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.WorkItemStatus.t/0","module":"GoogleApi.Dataflow.V1b3.Model.WorkItemStatus","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.WorkerHealthReport.html","title":"GoogleApi.Dataflow.V1b3.Model.WorkerHealthReport","module":"GoogleApi.Dataflow.V1b3.Model.WorkerHealthReport","type":"module","doc":"WorkerHealthReport contains information about the health of a worker. The VM should be identified by the labels attached to the WorkerMessage that this health ping belongs to. Attributes pods ([Object]): The pods running on the worker. See: http://kubernetes.io/v1.1/docs/api-reference/v1/definitions.html#_v1_pod This field is used by the worker to send the status of the indvidual containers running on each worker. Defaults to: null. reportInterval (String.t): The interval at which the worker is sending health reports. The default value of 0 should be interpreted as the field is not being explicitly set by the worker. Defaults to: null. vmIsHealthy (boolean()): Whether the VM is healthy. Defaults to: null. vmStartupTime (DateTime.t): The time the VM was booted. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.WorkerHealthReport.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.WorkerHealthReport.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.WorkerHealthReport","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.WorkerHealthReport.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.WorkerHealthReport.t/0","module":"GoogleApi.Dataflow.V1b3.Model.WorkerHealthReport","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.WorkerHealthReportResponse.html","title":"GoogleApi.Dataflow.V1b3.Model.WorkerHealthReportResponse","module":"GoogleApi.Dataflow.V1b3.Model.WorkerHealthReportResponse","type":"module","doc":"WorkerHealthReportResponse contains information returned to the worker in response to a health ping. Attributes reportInterval (String.t): A positive value indicates the worker should change its reporting interval to the specified value. The default value of zero means no change in report rate is requested by the server. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.WorkerHealthReportResponse.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.WorkerHealthReportResponse.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.WorkerHealthReportResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.WorkerHealthReportResponse.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.WorkerHealthReportResponse.t/0","module":"GoogleApi.Dataflow.V1b3.Model.WorkerHealthReportResponse","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.WorkerLifecycleEvent.html","title":"GoogleApi.Dataflow.V1b3.Model.WorkerLifecycleEvent","module":"GoogleApi.Dataflow.V1b3.Model.WorkerLifecycleEvent","type":"module","doc":"A report of an event in a worker&#39;s lifecycle. The proto contains one event, because the worker is expected to asynchronously send each message immediately after the event. Due to this asynchrony, messages may arrive out of order (or missing), and it is up to the consumer to interpret. The timestamp of the event is in the enclosing WorkerMessage proto. Attributes containerStartTime (DateTime.t): The start time of this container. All events will report this so that events can be grouped together across container/VM restarts. Defaults to: null. event (String.t): The event being reported. Defaults to: null. Enum - one of [UNKNOWN_EVENT, OS_START, CONTAINER_START, NETWORK_UP, STAGING_FILES_DOWNLOAD_START, STAGING_FILES_DOWNLOAD_FINISH, SDK_INSTALL_START, SDK_INSTALL_FINISH] metadata (%{optional(String.t) &#x3D;&gt; String.t}): Other stats that can accompany an event. E.g. { &quot;downloaded_bytes&quot; : &quot;123456&quot; } Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.WorkerLifecycleEvent.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.WorkerLifecycleEvent.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.WorkerLifecycleEvent","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.WorkerLifecycleEvent.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.WorkerLifecycleEvent.t/0","module":"GoogleApi.Dataflow.V1b3.Model.WorkerLifecycleEvent","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.WorkerMessage.html","title":"GoogleApi.Dataflow.V1b3.Model.WorkerMessage","module":"GoogleApi.Dataflow.V1b3.Model.WorkerMessage","type":"module","doc":"WorkerMessage provides information to the backend about a worker. Attributes labels (%{optional(String.t) &#x3D;&gt; String.t}): Labels are used to group WorkerMessages. For example, a worker_message about a particular container might have the labels: { &quot;JOB_ID&quot;: &quot;2015-04-22&quot;, &quot;WORKER_ID&quot;: &quot;wordcount-vm-2015…&quot; &quot;CONTAINER_TYPE&quot;: &quot;worker&quot;, &quot;CONTAINER_ID&quot;: &quot;ac1234def&quot;} Label tags typically correspond to Label enum values. However, for ease of development other strings can be used as tags. LABEL_UNSPECIFIED should not be used here. Defaults to: null. time (DateTime.t): The timestamp of the worker_message. Defaults to: null. workerHealthReport (WorkerHealthReport): The health of a worker. Defaults to: null. workerLifecycleEvent (WorkerLifecycleEvent): Record of worker lifecycle events. Defaults to: null. workerMessageCode (WorkerMessageCode): A worker message code. Defaults to: null. workerMetrics (ResourceUtilizationReport): Resource metrics reported by workers. Defaults to: null. workerShutdownNotice (WorkerShutdownNotice): Shutdown notice by workers. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.WorkerMessage.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.WorkerMessage.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.WorkerMessage","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.WorkerMessage.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.WorkerMessage.t/0","module":"GoogleApi.Dataflow.V1b3.Model.WorkerMessage","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.WorkerMessageCode.html","title":"GoogleApi.Dataflow.V1b3.Model.WorkerMessageCode","module":"GoogleApi.Dataflow.V1b3.Model.WorkerMessageCode","type":"module","doc":"A message code is used to report status and error messages to the service. The message codes are intended to be machine readable. The service will take care of translating these into user understandable messages if necessary. Example use cases: 1. Worker processes reporting successful startup. 2. Worker processes reporting specific errors (e.g. package staging failure). Attributes parameters (%{optional(String.t) &#x3D;&gt; String.t}): Parameters contains specific information about the code. This is a struct to allow parameters of different types. Examples: 1. For a &quot;HARNESS_STARTED&quot; message parameters might provide the name of the worker and additional data like timing information. 2. For a &quot;GCS_DOWNLOAD_ERROR&quot; parameters might contain fields listing the GCS objects being downloaded and fields containing errors. In general complex data structures should be avoided. If a worker needs to send a specific and complicated data structure then please consider defining a new proto and adding it to the data oneof in WorkerMessageResponse. Conventions: Parameters should only be used for information that isn&#39;t typically passed as a label. hostname and other worker identifiers should almost always be passed as labels since they will be included on most messages. Defaults to: null. code (String.t): The code is a string intended for consumption by a machine that identifies the type of message being sent. Examples: 1. &quot;HARNESS_STARTED&quot; might be used to indicate the worker harness has started. 2. &quot;GCS_DOWNLOAD_ERROR&quot; might be used to indicate an error downloading a GCS file as part of the boot process of one of the worker containers. This is a string and not an enum to make it easy to add new codes without waiting for an API change. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.WorkerMessageCode.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.WorkerMessageCode.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.WorkerMessageCode","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.WorkerMessageCode.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.WorkerMessageCode.t/0","module":"GoogleApi.Dataflow.V1b3.Model.WorkerMessageCode","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.WorkerMessageResponse.html","title":"GoogleApi.Dataflow.V1b3.Model.WorkerMessageResponse","module":"GoogleApi.Dataflow.V1b3.Model.WorkerMessageResponse","type":"module","doc":"A worker_message response allows the server to pass information to the sender. Attributes workerHealthReportResponse (WorkerHealthReportResponse): The service&#39;s response to a worker&#39;s health report. Defaults to: null. workerMetricsResponse (ResourceUtilizationReportResponse): Service&#39;s response to reporting worker metrics (currently empty). Defaults to: null. workerShutdownNoticeResponse (WorkerShutdownNoticeResponse): Service&#39;s response to shutdown notice (currently empty). Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.WorkerMessageResponse.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.WorkerMessageResponse.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.WorkerMessageResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.WorkerMessageResponse.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.WorkerMessageResponse.t/0","module":"GoogleApi.Dataflow.V1b3.Model.WorkerMessageResponse","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.WorkerPool.html","title":"GoogleApi.Dataflow.V1b3.Model.WorkerPool","module":"GoogleApi.Dataflow.V1b3.Model.WorkerPool","type":"module","doc":"Describes one particular pool of Cloud Dataflow workers to be instantiated by the Cloud Dataflow service in order to perform the computations required by a job. Note that a workflow job may use multiple pools, in order to match the various computational requirements of the various stages of the job. Attributes autoscalingSettings (AutoscalingSettings): Settings for autoscaling of this WorkerPool. Defaults to: null. dataDisks ([Disk]): Data disks that are used by a VM in this workflow. Defaults to: null. defaultPackageSet (String.t): The default package set to install. This allows the service to select a default set of packages which are useful to worker harnesses written in a particular language. Defaults to: null. Enum - one of [DEFAULT_PACKAGE_SET_UNKNOWN, DEFAULT_PACKAGE_SET_NONE, DEFAULT_PACKAGE_SET_JAVA, DEFAULT_PACKAGE_SET_PYTHON] diskSizeGb (integer()): Size of root disk for VMs, in GB. If zero or unspecified, the service will attempt to choose a reasonable default. Defaults to: null. diskSourceImage (String.t): Fully qualified source image for disks. Defaults to: null. diskType (String.t): Type of root disk for VMs. If empty or unspecified, the service will attempt to choose a reasonable default. Defaults to: null. ipConfiguration (String.t): Configuration for VM IPs. Defaults to: null. Enum - one of [WORKER_IP_UNSPECIFIED, WORKER_IP_PUBLIC, WORKER_IP_PRIVATE] kind (String.t): The kind of the worker pool; currently only &#x60;harness&#x60; and &#x60;shuffle&#x60; are supported. Defaults to: null. machineType (String.t): Machine type (e.g. &quot;n1-standard-1&quot;). If empty or unspecified, the service will attempt to choose a reasonable default. Defaults to: null. metadata (%{optional(String.t) &#x3D;&gt; String.t}): Metadata to set on the Google Compute Engine VMs. Defaults to: null. network (String.t): Network to which VMs will be assigned. If empty or unspecified, the service will use the network &quot;default&quot;. Defaults to: null. numThreadsPerWorker (integer()): The number of threads per worker harness. If empty or unspecified, the service will choose a number of threads (according to the number of cores on the selected machine type for batch, or 1 by convention for streaming). Defaults to: null. numWorkers (integer()): Number of Google Compute Engine workers in this pool needed to execute the job. If zero or unspecified, the service will attempt to choose a reasonable default. Defaults to: null. onHostMaintenance (String.t): The action to take on host maintenance, as defined by the Google Compute Engine API. Defaults to: null. packages ([Package]): Packages to be installed on workers. Defaults to: null. poolArgs (%{optional(String.t) &#x3D;&gt; String.t}): Extra arguments for this worker pool. Defaults to: null. subnetwork (String.t): Subnetwork to which VMs will be assigned, if desired. Expected to be of the form &quot;regions/REGION/subnetworks/SUBNETWORK&quot;. Defaults to: null. taskrunnerSettings (TaskRunnerSettings): Settings passed through to Google Compute Engine workers when using the standard Dataflow task runner. Users should ignore this field. Defaults to: null. teardownPolicy (String.t): Sets the policy for determining when to turndown worker pool. Allowed values are: &#x60;TEARDOWN_ALWAYS&#x60;, &#x60;TEARDOWN_ON_SUCCESS&#x60;, and &#x60;TEARDOWN_NEVER&#x60;. &#x60;TEARDOWN_ALWAYS&#x60; means workers are always torn down regardless of whether the job succeeds. &#x60;TEARDOWN_ON_SUCCESS&#x60; means workers are torn down if the job succeeds. &#x60;TEARDOWN_NEVER&#x60; means the workers are never torn down. If the workers are not torn down by the service, they will continue to run and use Google Compute Engine VM resources in the user&#39;s project until they are explicitly terminated by the user. Because of this, Google recommends using the &#x60;TEARDOWN_ALWAYS&#x60; policy except for small, manually supervised test jobs. If unknown or unspecified, the service will attempt to choose a reasonable default. Defaults to: null. Enum - one of [TEARDOWN_POLICY_UNKNOWN, TEARDOWN_ALWAYS, TEARDOWN_ON_SUCCESS, TEARDOWN_NEVER] workerHarnessContainerImage (String.t): Required. Docker container image that executes the Cloud Dataflow worker harness, residing in Google Container Registry. Defaults to: null. zone (String.t): Zone to run the worker pools in. If empty or unspecified, the service will attempt to choose a reasonable default. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.WorkerPool.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.WorkerPool.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.WorkerPool","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.WorkerPool.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.WorkerPool.t/0","module":"GoogleApi.Dataflow.V1b3.Model.WorkerPool","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.WorkerSettings.html","title":"GoogleApi.Dataflow.V1b3.Model.WorkerSettings","module":"GoogleApi.Dataflow.V1b3.Model.WorkerSettings","type":"module","doc":"Provides data to pass through to the worker harness. Attributes baseUrl (String.t): The base URL for accessing Google Cloud APIs. When workers access Google Cloud APIs, they logically do so via relative URLs. If this field is specified, it supplies the base URL to use for resolving these relative URLs. The normative algorithm used is defined by RFC 1808, &quot;Relative Uniform Resource Locators&quot;. If not specified, the default value is &quot;http://www.googleapis.com/&quot; Defaults to: null. reportingEnabled (boolean()): Whether to send work progress updates to the service. Defaults to: null. servicePath (String.t): The Cloud Dataflow service path relative to the root URL, for example, &quot;dataflow/v1b3/projects&quot;. Defaults to: null. shuffleServicePath (String.t): The Shuffle service path relative to the root URL, for example, &quot;shuffle/v1beta1&quot;. Defaults to: null. tempStoragePrefix (String.t): The prefix of the resources the system should use for temporary storage. The supported resource type is: Google Cloud Storage: storage.googleapis.com/{bucket}/{object} bucket.storage.googleapis.com/{object} Defaults to: null. workerId (String.t): The ID of the worker running this pipeline. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.WorkerSettings.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.WorkerSettings.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.WorkerSettings","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.WorkerSettings.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.WorkerSettings.t/0","module":"GoogleApi.Dataflow.V1b3.Model.WorkerSettings","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.WorkerShutdownNotice.html","title":"GoogleApi.Dataflow.V1b3.Model.WorkerShutdownNotice","module":"GoogleApi.Dataflow.V1b3.Model.WorkerShutdownNotice","type":"module","doc":"Shutdown notification from workers. This is to be sent by the shutdown script of the worker VM so that the backend knows that the VM is being shut down. Attributes reason (String.t): The reason for the worker shutdown. Current possible values are: &quot;UNKNOWN&quot;: shutdown reason is unknown. &quot;PREEMPTION&quot;: shutdown reason is preemption. Other possible reasons may be added in the future. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.WorkerShutdownNotice.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.WorkerShutdownNotice.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.WorkerShutdownNotice","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.WorkerShutdownNotice.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.WorkerShutdownNotice.t/0","module":"GoogleApi.Dataflow.V1b3.Model.WorkerShutdownNotice","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.WorkerShutdownNoticeResponse.html","title":"GoogleApi.Dataflow.V1b3.Model.WorkerShutdownNoticeResponse","module":"GoogleApi.Dataflow.V1b3.Model.WorkerShutdownNoticeResponse","type":"module","doc":"Service-side response to WorkerMessage issuing shutdown notice. Attributes"},{"ref":"GoogleApi.Dataflow.V1b3.Model.WorkerShutdownNoticeResponse.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.WorkerShutdownNoticeResponse.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.WorkerShutdownNoticeResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.WorkerShutdownNoticeResponse.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.WorkerShutdownNoticeResponse.t/0","module":"GoogleApi.Dataflow.V1b3.Model.WorkerShutdownNoticeResponse","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.Model.WriteInstruction.html","title":"GoogleApi.Dataflow.V1b3.Model.WriteInstruction","module":"GoogleApi.Dataflow.V1b3.Model.WriteInstruction","type":"module","doc":"An instruction that writes records. Takes one input, produces no outputs. Attributes input (InstructionInput): The input. Defaults to: null. sink (Sink): The sink to write to. Defaults to: null."},{"ref":"GoogleApi.Dataflow.V1b3.Model.WriteInstruction.html#decode/2","title":"GoogleApi.Dataflow.V1b3.Model.WriteInstruction.decode/2","module":"GoogleApi.Dataflow.V1b3.Model.WriteInstruction","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Dataflow.V1b3.Model.WriteInstruction.html#t:t/0","title":"GoogleApi.Dataflow.V1b3.Model.WriteInstruction.t/0","module":"GoogleApi.Dataflow.V1b3.Model.WriteInstruction","type":"type","doc":""},{"ref":"GoogleApi.Dataflow.V1b3.RequestBuilder.html","title":"GoogleApi.Dataflow.V1b3.RequestBuilder","module":"GoogleApi.Dataflow.V1b3.RequestBuilder","type":"module","doc":"Helper functions for building Tesla requests. This module is no longer used. Please use GoogleApi.Gax.Request instead."}]